#include "AVInputPortBinding.h"
#include "AccessibleNodeBinding.h"
#include "AddonEventBinding.h"
#include "AddonManagerBinding.h"
#include "AnalyserNodeBinding.h"
#include "AnimationBinding.h"
#include "AnimationEffectReadOnlyBinding.h"
#include "AnimationEffectTimingBinding.h"
#include "AnimationEffectTimingReadOnlyBinding.h"
#include "AnimationEventBinding.h"
#include "AnimationPlaybackEventBinding.h"
#include "AnimationTimelineBinding.h"
#include "AnonymousContentBinding.h"
#include "ArchiveReaderBinding.h"
#include "ArchiveRequestBinding.h"
#include "AttrBinding.h"
#include "AudioBufferBinding.h"
#include "AudioBufferSourceNodeBinding.h"
#include "AudioContextBinding.h"
#include "AudioDestinationNodeBinding.h"
#include "AudioListenerBinding.h"
#include "AudioNodeBinding.h"
#include "AudioParamBinding.h"
#include "AudioProcessingEventBinding.h"
#include "AudioStreamTrackBinding.h"
#include "AudioTrackBinding.h"
#include "AudioTrackListBinding.h"
#include "AutocompleteErrorEventBinding.h"
#include "BarPropBinding.h"
#include "BatteryManagerBinding.h"
#include "BeforeAfterKeyboardEventBinding.h"
#include "BeforeUnloadEventBinding.h"
#include "BiquadFilterNodeBinding.h"
#include "BlobBinding.h"
#include "BlobEventBinding.h"
#include "BoxObjectBinding.h"
#include "BroadcastChannelBinding.h"
#include "BrowserElementAudioChannelBinding.h"
#include "BrowserElementProxyBinding.h"
#include "BrowserFeedWriterBinding.h"
#include "CDATASectionBinding.h"
#include "CFStateChangeEventBinding.h"
#include "CSS2PropertiesBinding.h"
#include "CSSAnimationBinding.h"
#include "CSSBinding.h"
#include "CSSLexerBinding.h"
#include "CSSPrimitiveValueBinding.h"
#include "CSSPseudoElementBinding.h"
#include "CSSRuleListBinding.h"
#include "CSSStyleDeclarationBinding.h"
#include "CSSStyleSheetBinding.h"
#include "CSSTransitionBinding.h"
#include "CSSValueBinding.h"
#include "CSSValueListBinding.h"
#include "CacheBinding.h"
#include "CacheStorageBinding.h"
#include "CallEventBinding.h"
#include "CallGroupErrorEventBinding.h"
#include "CameraCapabilitiesBinding.h"
#include "CameraClosedEventBinding.h"
#include "CameraConfigurationEventBinding.h"
#include "CameraControlBinding.h"
#include "CameraFacesDetectedEventBinding.h"
#include "CameraManagerBinding.h"
#include "CameraStateChangeEventBinding.h"
#include "CanvasCaptureMediaStreamBinding.h"
#include "CanvasRenderingContext2DBinding.h"
#include "CaretPositionBinding.h"
#include "CaretStateChangedEventBinding.h"
#include "ChannelMergerNodeBinding.h"
#include "ChannelSplitterNodeBinding.h"
#include "CharacterDataBinding.h"
#include "CheckerboardReportServiceBinding.h"
#include "ChromeNodeListBinding.h"
#include "ChromeNotificationsBinding.h"
#include "ChromeUtilsBinding.h"
#include "ClipboardEventBinding.h"
#include "CloseEventBinding.h"
#include "CommandEventBinding.h"
#include "CommentBinding.h"
#include "CompositionEventBinding.h"
#include "ConsoleBinding.h"
#include "ContactsBinding.h"
#include "ConvolverNodeBinding.h"
#include "CreateOfferRequestBinding.h"
#include "CryptoBinding.h"
#include "CustomElementsRegistryBinding.h"
#include "CustomEventBinding.h"
#include "DOMCursorBinding.h"
#include "DOMErrorBinding.h"
#include "DOMExceptionBinding.h"
#include "DOMImplementationBinding.h"
#include "DOMMatrixBinding.h"
#include "DOMMobileMessageErrorBinding.h"
#include "DOMParserBinding.h"
#include "DOMPointBinding.h"
#include "DOMQuadBinding.h"
#include "DOMRectBinding.h"
#include "DOMRectListBinding.h"
#include "DOMRequestBinding.h"
#include "DOMStringListBinding.h"
#include "DOMStringMapBinding.h"
#include "DOMTokenListBinding.h"
#include "DOMTransactionEventBinding.h"
#include "DataChannelBinding.h"
#include "DataContainerEventBinding.h"
#include "DataErrorEventBinding.h"
#include "DataTransferBinding.h"
#include "DataTransferItemBinding.h"
#include "DataTransferItemListBinding.h"
#include "DelayNodeBinding.h"
#include "DesktopNotificationBinding.h"
#include "DeviceLightEventBinding.h"
#include "DeviceMotionEventBinding.h"
#include "DeviceOrientationEventBinding.h"
#include "DeviceProximityEventBinding.h"
#include "DeviceStorageAreaChangedEventBinding.h"
#include "DeviceStorageAreaListenerBinding.h"
#include "DeviceStorageBinding.h"
#include "DeviceStorageChangeEventBinding.h"
#include "DirectoryBinding.h"
#include "DisplayPortInputPortBinding.h"
#include "DocumentBinding.h"
#include "DocumentFragmentBinding.h"
#include "DocumentTimelineBinding.h"
#include "DocumentTypeBinding.h"
#include "DominatorTreeBinding.h"
#include "DownloadEventBinding.h"
#include "DownloadsBinding.h"
#include "DragEventBinding.h"
#include "DynamicsCompressorNodeBinding.h"
#include "ElementBinding.h"
#include "ErrorEventBinding.h"
#include "EventBinding.h"
#include "EventSourceBinding.h"
#include "EventTargetBinding.h"
#include "FileBinding.h"
#include "FileListBinding.h"
#include "FileReaderBinding.h"
#include "FileSystemBinding.h"
#include "FileSystemDirectoryEntryBinding.h"
#include "FileSystemDirectoryReaderBinding.h"
#include "FileSystemEntryBinding.h"
#include "FileSystemFileEntryBinding.h"
#include "FlyWebDiscoveryManagerBinding.h"
#include "FlyWebFetchEventBinding.h"
#include "FlyWebPublishBinding.h"
#include "FlyWebWebSocketEventBinding.h"
#include "FocusEventBinding.h"
#include "FontFaceBinding.h"
#include "FontFaceSetBinding.h"
#include "FontFaceSetLoadEventBinding.h"
#include "FormDataBinding.h"
#include "GainNodeBinding.h"
#include "GamepadAxisMoveEventBinding.h"
#include "GamepadBinding.h"
#include "GamepadButtonEventBinding.h"
#include "GamepadEventBinding.h"
#include "GamepadServiceTestBinding.h"
#include "GridBinding.h"
#include "HDMIInputPortBinding.h"
#include "HTMLAllCollectionBinding.h"
#include "HTMLAnchorElementBinding.h"
#include "HTMLAppletElementBinding.h"
#include "HTMLAreaElementBinding.h"
#include "HTMLAudioElementBinding.h"
#include "HTMLBRElementBinding.h"
#include "HTMLBaseElementBinding.h"
#include "HTMLBodyElementBinding.h"
#include "HTMLButtonElementBinding.h"
#include "HTMLCanvasElementBinding.h"
#include "HTMLCollectionBinding.h"
#include "HTMLContentElementBinding.h"
#include "HTMLDListElementBinding.h"
#include "HTMLDataElementBinding.h"
#include "HTMLDataListElementBinding.h"
#include "HTMLDetailsElementBinding.h"
#include "HTMLDirectoryElementBinding.h"
#include "HTMLDivElementBinding.h"
#include "HTMLDocumentBinding.h"
#include "HTMLElementBinding.h"
#include "HTMLEmbedElementBinding.h"
#include "HTMLFieldSetElementBinding.h"
#include "HTMLFontElementBinding.h"
#include "HTMLFormControlsCollectionBinding.h"
#include "HTMLFormElementBinding.h"
#include "HTMLFrameElementBinding.h"
#include "HTMLFrameSetElementBinding.h"
#include "HTMLHRElementBinding.h"
#include "HTMLHeadElementBinding.h"
#include "HTMLHeadingElementBinding.h"
#include "HTMLHtmlElementBinding.h"
#include "HTMLIFrameElementBinding.h"
#include "HTMLImageElementBinding.h"
#include "HTMLInputElementBinding.h"
#include "HTMLLIElementBinding.h"
#include "HTMLLabelElementBinding.h"
#include "HTMLLegendElementBinding.h"
#include "HTMLLinkElementBinding.h"
#include "HTMLMapElementBinding.h"
#include "HTMLMediaElementBinding.h"
#include "HTMLMenuElementBinding.h"
#include "HTMLMenuItemElementBinding.h"
#include "HTMLMetaElementBinding.h"
#include "HTMLMeterElementBinding.h"
#include "HTMLModElementBinding.h"
#include "HTMLOListElementBinding.h"
#include "HTMLObjectElementBinding.h"
#include "HTMLOptGroupElementBinding.h"
#include "HTMLOptionElementBinding.h"
#include "HTMLOptionsCollectionBinding.h"
#include "HTMLOutputElementBinding.h"
#include "HTMLParagraphElementBinding.h"
#include "HTMLParamElementBinding.h"
#include "HTMLPictureElementBinding.h"
#include "HTMLPreElementBinding.h"
#include "HTMLProgressElementBinding.h"
#include "HTMLQuoteElementBinding.h"
#include "HTMLScriptElementBinding.h"
#include "HTMLSelectElementBinding.h"
#include "HTMLShadowElementBinding.h"
#include "HTMLSourceElementBinding.h"
#include "HTMLSpanElementBinding.h"
#include "HTMLStyleElementBinding.h"
#include "HTMLTableCaptionElementBinding.h"
#include "HTMLTableCellElementBinding.h"
#include "HTMLTableColElementBinding.h"
#include "HTMLTableElementBinding.h"
#include "HTMLTableRowElementBinding.h"
#include "HTMLTableSectionElementBinding.h"
#include "HTMLTemplateElementBinding.h"
#include "HTMLTextAreaElementBinding.h"
#include "HTMLTimeElementBinding.h"
#include "HTMLTitleElementBinding.h"
#include "HTMLTrackElementBinding.h"
#include "HTMLUListElementBinding.h"
#include "HTMLVideoElementBinding.h"
#include "HashChangeEventBinding.h"
#include "HeadersBinding.h"
#include "HeapSnapshotBinding.h"
#include "HiddenPluginEventBinding.h"
#include "HistoryBinding.h"
#include "IDBCursorBinding.h"
#include "IDBDatabaseBinding.h"
#include "IDBFactoryBinding.h"
#include "IDBFileHandleBinding.h"
#include "IDBFileRequestBinding.h"
#include "IDBIndexBinding.h"
#include "IDBKeyRangeBinding.h"
#include "IDBMutableFileBinding.h"
#include "IDBObjectStoreBinding.h"
#include "IDBOpenDBRequestBinding.h"
#include "IDBRequestBinding.h"
#include "IDBTransactionBinding.h"
#include "IDBVersionChangeEventBinding.h"
#include "IIRFilterNodeBinding.h"
#include "IccCardLockErrorBinding.h"
#include "IccChangeEventBinding.h"
#include "ImageBitmapBinding.h"
#include "ImageBitmapRenderingContextBinding.h"
#include "ImageCaptureBinding.h"
#include "ImageCaptureErrorEventBinding.h"
#include "ImageDataBinding.h"
#include "ImageDocumentBinding.h"
#include "InputEventBinding.h"
#include "InputMethodBinding.h"
#include "InputPortBinding.h"
#include "InputPortManagerBinding.h"
#include "InstallTriggerBinding.h"
#include "KeyEventBinding.h"
#include "KeyboardEventBinding.h"
#include "KeyframeEffectBinding.h"
#include "LocalMediaStreamBinding.h"
#include "LocationBinding.h"
#include "MMICallBinding.h"
#include "MediaDeviceInfoBinding.h"
#include "MediaDevicesBinding.h"
#include "MediaElementAudioSourceNodeBinding.h"
#include "MediaEncryptedEventBinding.h"
#include "MediaErrorBinding.h"
#include "MediaKeyErrorBinding.h"
#include "MediaKeyMessageEventBinding.h"
#include "MediaKeySessionBinding.h"
#include "MediaKeyStatusMapBinding.h"
#include "MediaKeySystemAccessBinding.h"
#include "MediaKeysBinding.h"
#include "MediaListBinding.h"
#include "MediaQueryListBinding.h"
#include "MediaRecorderBinding.h"
#include "MediaSourceBinding.h"
#include "MediaStreamAudioDestinationNodeBinding.h"
#include "MediaStreamAudioSourceNodeBinding.h"
#include "MediaStreamBinding.h"
#include "MediaStreamEventBinding.h"
#include "MediaStreamListBinding.h"
#include "MediaStreamTrackBinding.h"
#include "MediaStreamTrackEventBinding.h"
#include "MenuBoxObjectBinding.h"
#include "MessageChannelBinding.h"
#include "MessageEventBinding.h"
#include "MessagePortBinding.h"
#include "MimeTypeArrayBinding.h"
#include "MimeTypeBinding.h"
#include "MmsMessageBinding.h"
#include "MobileMessageThreadBinding.h"
#include "MouseEventBinding.h"
#include "MouseScrollEventBinding.h"
#include "MozCellBroadcastBinding.h"
#include "MozCellBroadcastEventBinding.h"
#include "MozCellBroadcastMessageBinding.h"
#include "MozClirModeEventBinding.h"
#include "MozContactChangeEventBinding.h"
#include "MozEmergencyCbModeEventBinding.h"
#include "MozIccBinding.h"
#include "MozIccInfoBinding.h"
#include "MozIccManagerBinding.h"
#include "MozMessageDeletedEventBinding.h"
#include "MozMmsEventBinding.h"
#include "MozMobileCellInfoBinding.h"
#include "MozMobileConnectionArrayBinding.h"
#include "MozMobileConnectionBinding.h"
#include "MozMobileConnectionInfoBinding.h"
#include "MozMobileMessageManagerBinding.h"
#include "MozMobileNetworkInfoBinding.h"
#include "MozOtaStatusEventBinding.h"
#include "MozPowerManagerBinding.h"
#include "MozSelfSupportBinding.h"
#include "MozSettingsEventBinding.h"
#include "MozSettingsTransactionEventBinding.h"
#include "MozSmsEventBinding.h"
#include "MozStkCommandEventBinding.h"
#include "MozTetheringManagerBinding.h"
#include "MozTimeManagerBinding.h"
#include "MozVoicemailBinding.h"
#include "MozVoicemailEventBinding.h"
#include "MozVoicemailStatusBinding.h"
#include "MozWakeLockBinding.h"
#include "MutationEventBinding.h"
#include "MutationObserverBinding.h"
#include "NamedNodeMapBinding.h"
#include "NavigatorBinding.h"
#include "NetworkInformationBinding.h"
#include "NodeBinding.h"
#include "NodeFilterBinding.h"
#include "NodeIteratorBinding.h"
#include "NodeListBinding.h"
#include "NotificationBinding.h"
#include "NotifyPaintEventBinding.h"
#include "OfflineAudioCompletionEventBinding.h"
#include "OfflineAudioContextBinding.h"
#include "OfflineResourceListBinding.h"
#include "OffscreenCanvasBinding.h"
#include "OscillatorNodeBinding.h"
#include "PageTransitionEventBinding.h"
#include "PaintRequestBinding.h"
#include "PaintRequestListBinding.h"
#include "PannerNodeBinding.h"
#include "PeerConnectionImplBinding.h"
#include "PeerConnectionObserverBinding.h"
#include "PerformanceBinding.h"
#include "PerformanceEntryBinding.h"
#include "PerformanceEntryEventBinding.h"
#include "PerformanceMarkBinding.h"
#include "PerformanceMeasureBinding.h"
#include "PerformanceNavigationBinding.h"
#include "PerformanceObserverBinding.h"
#include "PerformanceObserverEntryListBinding.h"
#include "PerformanceResourceTimingBinding.h"
#include "PerformanceTimingBinding.h"
#include "PeriodicWaveBinding.h"
#include "PermissionSettingsBinding.h"
#include "PermissionStatusBinding.h"
#include "PermissionsBinding.h"
#include "PhoneNumberServiceBinding.h"
#include "PluginArrayBinding.h"
#include "PluginBinding.h"
#include "PluginCrashedEventBinding.h"
#include "PointerEventBinding.h"
#include "PopStateEventBinding.h"
#include "PopupBlockedEventBinding.h"
#include "PopupBoxObjectBinding.h"
#include "PresentationAvailabilityBinding.h"
#include "PresentationBinding.h"
#include "PresentationConnectionAvailableEventBinding.h"
#include "PresentationConnectionBinding.h"
#include "PresentationConnectionClosedEventBinding.h"
#include "PresentationConnectionListBinding.h"
#include "PresentationDeviceInfoManagerBinding.h"
#include "PresentationReceiverBinding.h"
#include "PresentationRequestBinding.h"
#include "ProcessingInstructionBinding.h"
#include "ProgressEventBinding.h"
#include "PromiseDebuggingBinding.h"
#include "PushManagerBinding.h"
#include "PushSubscriptionBinding.h"
#include "PushSubscriptionOptionsBinding.h"
#include "RGBColorBinding.h"
#include "RTCCertificateBinding.h"
#include "RTCDataChannelEventBinding.h"
#include "RTCIceCandidateBinding.h"
#include "RTCPeerConnectionBinding.h"
#include "RTCPeerConnectionIceEventBinding.h"
#include "RTCPeerConnectionStaticBinding.h"
#include "RTCRtpReceiverBinding.h"
#include "RTCRtpSenderBinding.h"
#include "RTCSessionDescriptionBinding.h"
#include "RTCStatsReportBinding.h"
#include "RTCTrackEventBinding.h"
#include "RadioNodeListBinding.h"
#include "RangeBinding.h"
#include "RecordErrorEventBinding.h"
#include "RectBinding.h"
#include "RequestBinding.h"
#include "ResourceStatsBinding.h"
#include "ResourceStatsManagerBinding.h"
#include "ResponseBinding.h"
#include "SVGAElementBinding.h"
#include "SVGAngleBinding.h"
#include "SVGAnimateElementBinding.h"
#include "SVGAnimateMotionElementBinding.h"
#include "SVGAnimateTransformElementBinding.h"
#include "SVGAnimatedAngleBinding.h"
#include "SVGAnimatedBooleanBinding.h"
#include "SVGAnimatedEnumerationBinding.h"
#include "SVGAnimatedIntegerBinding.h"
#include "SVGAnimatedLengthBinding.h"
#include "SVGAnimatedLengthListBinding.h"
#include "SVGAnimatedNumberBinding.h"
#include "SVGAnimatedNumberListBinding.h"
#include "SVGAnimatedPreserveAspectRatioBinding.h"
#include "SVGAnimatedRectBinding.h"
#include "SVGAnimatedStringBinding.h"
#include "SVGAnimatedTransformListBinding.h"
#include "SVGAnimationElementBinding.h"
#include "SVGCircleElementBinding.h"
#include "SVGClipPathElementBinding.h"
#include "SVGComponentTransferFunctionElementBinding.h"
#include "SVGDefsElementBinding.h"
#include "SVGDescElementBinding.h"
#include "SVGDocumentBinding.h"
#include "SVGElementBinding.h"
#include "SVGEllipseElementBinding.h"
#include "SVGFEBlendElementBinding.h"
#include "SVGFEColorMatrixElementBinding.h"
#include "SVGFEComponentTransferElementBinding.h"
#include "SVGFECompositeElementBinding.h"
#include "SVGFEConvolveMatrixElementBinding.h"
#include "SVGFEDiffuseLightingElementBinding.h"
#include "SVGFEDisplacementMapElementBinding.h"
#include "SVGFEDistantLightElementBinding.h"
#include "SVGFEDropShadowElementBinding.h"
#include "SVGFEFloodElementBinding.h"
#include "SVGFEFuncAElementBinding.h"
#include "SVGFEFuncBElementBinding.h"
#include "SVGFEFuncGElementBinding.h"
#include "SVGFEFuncRElementBinding.h"
#include "SVGFEGaussianBlurElementBinding.h"
#include "SVGFEImageElementBinding.h"
#include "SVGFEMergeElementBinding.h"
#include "SVGFEMergeNodeElementBinding.h"
#include "SVGFEMorphologyElementBinding.h"
#include "SVGFEOffsetElementBinding.h"
#include "SVGFEPointLightElementBinding.h"
#include "SVGFESpecularLightingElementBinding.h"
#include "SVGFESpotLightElementBinding.h"
#include "SVGFETileElementBinding.h"
#include "SVGFETurbulenceElementBinding.h"
#include "SVGFilterElementBinding.h"
#include "SVGForeignObjectElementBinding.h"
#include "SVGGElementBinding.h"
#include "SVGGradientElementBinding.h"
#include "SVGGraphicsElementBinding.h"
#include "SVGImageElementBinding.h"
#include "SVGLengthBinding.h"
#include "SVGLengthListBinding.h"
#include "SVGLineElementBinding.h"
#include "SVGLinearGradientElementBinding.h"
#include "SVGMPathElementBinding.h"
#include "SVGMarkerElementBinding.h"
#include "SVGMaskElementBinding.h"
#include "SVGMatrixBinding.h"
#include "SVGMetadataElementBinding.h"
#include "SVGNumberBinding.h"
#include "SVGNumberListBinding.h"
#include "SVGPathElementBinding.h"
#include "SVGPathSegBinding.h"
#include "SVGPathSegListBinding.h"
#include "SVGPatternElementBinding.h"
#include "SVGPointBinding.h"
#include "SVGPointListBinding.h"
#include "SVGPolygonElementBinding.h"
#include "SVGPolylineElementBinding.h"
#include "SVGPreserveAspectRatioBinding.h"
#include "SVGRadialGradientElementBinding.h"
#include "SVGRectBinding.h"
#include "SVGRectElementBinding.h"
#include "SVGSVGElementBinding.h"
#include "SVGScriptElementBinding.h"
#include "SVGSetElementBinding.h"
#include "SVGStopElementBinding.h"
#include "SVGStringListBinding.h"
#include "SVGStyleElementBinding.h"
#include "SVGSwitchElementBinding.h"
#include "SVGSymbolElementBinding.h"
#include "SVGTSpanElementBinding.h"
#include "SVGTextContentElementBinding.h"
#include "SVGTextElementBinding.h"
#include "SVGTextPathElementBinding.h"
#include "SVGTextPositioningElementBinding.h"
#include "SVGTitleElementBinding.h"
#include "SVGTransformBinding.h"
#include "SVGTransformListBinding.h"
#include "SVGUnitTypesBinding.h"
#include "SVGUseElementBinding.h"
#include "SVGViewElementBinding.h"
#include "SVGZoomAndPanBinding.h"
#include "SVGZoomEventBinding.h"
#include "ScreenBinding.h"
#include "ScreenOrientationBinding.h"
#include "ScriptProcessorNodeBinding.h"
#include "ScrollAreaEventBinding.h"
#include "ScrollViewChangeEventBinding.h"
#include "SecureElementBinding.h"
#include "SecureElementManagerBinding.h"
#include "SelectionBinding.h"
#include "ServiceWorkerBinding.h"
#include "ServiceWorkerContainerBinding.h"
#include "ServiceWorkerMessageEventBinding.h"
#include "ServiceWorkerRegistrationBinding.h"
#include "SettingsManagerBinding.h"
#include "ShadowRootBinding.h"
#include "SharedWorkerBinding.h"
#include "SimpleGestureEventBinding.h"
#include "SmsMessageBinding.h"
#include "SourceBufferBinding.h"
#include "SourceBufferListBinding.h"
#include "SpeechGrammarBinding.h"
#include "SpeechGrammarListBinding.h"
#include "SpeechRecognitionAlternativeBinding.h"
#include "SpeechRecognitionBinding.h"
#include "SpeechRecognitionErrorBinding.h"
#include "SpeechRecognitionEventBinding.h"
#include "SpeechRecognitionResultBinding.h"
#include "SpeechRecognitionResultListBinding.h"
#include "SpeechSynthesisBinding.h"
#include "SpeechSynthesisErrorEventBinding.h"
#include "SpeechSynthesisEventBinding.h"
#include "SpeechSynthesisUtteranceBinding.h"
#include "SpeechSynthesisVoiceBinding.h"
#include "StereoPannerNodeBinding.h"
#include "StorageBinding.h"
#include "StorageEventBinding.h"
#include "StorageManagerBinding.h"
#include "StyleRuleChangeEventBinding.h"
#include "StyleSheetApplicableStateChangeEventBinding.h"
#include "StyleSheetBinding.h"
#include "StyleSheetChangeEventBinding.h"
#include "StyleSheetListBinding.h"
#include "SubtleCryptoBinding.h"
#include "SystemUpdateBinding.h"
#include "TCPServerSocketBinding.h"
#include "TCPServerSocketEventBinding.h"
#include "TCPSocketBinding.h"
#include "TCPSocketErrorEventBinding.h"
#include "TCPSocketEventBinding.h"
#include "TVChannelBinding.h"
#include "TVCurrentChannelChangedEventBinding.h"
#include "TVCurrentSourceChangedEventBinding.h"
#include "TVEITBroadcastedEventBinding.h"
#include "TVManagerBinding.h"
#include "TVProgramBinding.h"
#include "TVScanningStateChangedEventBinding.h"
#include "TVSourceBinding.h"
#include "TVTunerBinding.h"
#include "TelephonyBinding.h"
#include "TelephonyCallBinding.h"
#include "TelephonyCallGroupBinding.h"
#include "TelephonyCallIdBinding.h"
#include "TextBinding.h"
#include "TextClauseBinding.h"
#include "TextDecoderBinding.h"
#include "TextEncoderBinding.h"
#include "TextTrackBinding.h"
#include "TextTrackCueBinding.h"
#include "TextTrackCueListBinding.h"
#include "TextTrackListBinding.h"
#include "ThreadSafeChromeUtilsBinding.h"
#include "TimeEventBinding.h"
#include "TimeRangesBinding.h"
#include "TouchBinding.h"
#include "TouchEventBinding.h"
#include "TouchListBinding.h"
#include "TrackEventBinding.h"
#include "TransitionEventBinding.h"
#include "TreeColumnBinding.h"
#include "TreeColumnsBinding.h"
#include "TreeWalkerBinding.h"
#include "U2FBinding.h"
#include "UDPMessageEventBinding.h"
#include "UDPSocketBinding.h"
#include "UIEventBinding.h"
#include "URLBinding.h"
#include "URLSearchParamsBinding.h"
#include "USSDReceivedEventBinding.h"
#include "USSDSessionBinding.h"
#include "UndoManagerBinding.h"
#include "UserProximityEventBinding.h"
#include "VRDisplayBinding.h"
#include "VTTCueBinding.h"
#include "VTTRegionBinding.h"
#include "ValidityStateBinding.h"
#include "VideoPlaybackQualityBinding.h"
#include "VideoStreamTrackBinding.h"
#include "VideoTrackBinding.h"
#include "VideoTrackListBinding.h"
#include "WaveShaperNodeBinding.h"
#include "WebGL2RenderingContextBinding.h"
#include "WebGLContextEventBinding.h"
#include "WebGLRenderingContextBinding.h"
#include "WebKitCSSMatrixBinding.h"
#include "WebSocketBinding.h"
#include "WebrtcDeprecatedBinding.h"
#include "WebrtcGlobalInformationBinding.h"
#include "WheelEventBinding.h"
#include "WindowBinding.h"
#include "WindowRootBinding.h"
#include "WorkerBinding.h"
#include "XMLDocumentBinding.h"
#include "XMLHttpRequestBinding.h"
#include "XMLHttpRequestEventTargetBinding.h"
#include "XMLHttpRequestUploadBinding.h"
#include "XMLSerializerBinding.h"
#include "XMLStylesheetProcessingInstructionBinding.h"
#include "XPathEvaluatorBinding.h"
#include "XPathExpressionBinding.h"
#include "XPathResultBinding.h"
#include "XSLTProcessorBinding.h"
#include "XULCommandEventBinding.h"
#include "XULDocumentBinding.h"
#include "XULElementBinding.h"
#include "mozilla/dom/WebIDLGlobalNameHash.h"

namespace mozilla {
namespace dom {
const uint32_t WebIDLGlobalNameHash::sCount = 732;

const char WebIDLGlobalNameHash::sNames[] =
  /* 0 */ "AVInputPort\0"
  /* 12 */ "AccessibleNode\0"
  /* 27 */ "Addon\0"
  /* 33 */ "AddonEvent\0"
  /* 44 */ "AddonInstall\0"
  /* 57 */ "AddonManager\0"
  /* 70 */ "AnalyserNode\0"
  /* 83 */ "Animation\0"
  /* 93 */ "AnimationEffectReadOnly\0"
  /* 117 */ "AnimationEffectTiming\0"
  /* 139 */ "AnimationEffectTimingReadOnly\0"
  /* 169 */ "AnimationEvent\0"
  /* 184 */ "AnimationPlaybackEvent\0"
  /* 207 */ "AnimationTimeline\0"
  /* 225 */ "AnonymousContent\0"
  /* 242 */ "ArchiveReader\0"
  /* 256 */ "ArchiveRequest\0"
  /* 271 */ "Attr\0"
  /* 276 */ "AudioBuffer\0"
  /* 288 */ "AudioBufferSourceNode\0"
  /* 310 */ "AudioContext\0"
  /* 323 */ "AudioDestinationNode\0"
  /* 344 */ "AudioListener\0"
  /* 358 */ "AudioNode\0"
  /* 368 */ "AudioParam\0"
  /* 379 */ "AudioProcessingEvent\0"
  /* 400 */ "AudioStreamTrack\0"
  /* 417 */ "AudioTrack\0"
  /* 428 */ "AudioTrackList\0"
  /* 443 */ "AutocompleteErrorEvent\0"
  /* 466 */ "BarProp\0"
  /* 474 */ "BatteryManager\0"
  /* 489 */ "BeforeAfterKeyboardEvent\0"
  /* 514 */ "BeforeUnloadEvent\0"
  /* 532 */ "BiquadFilterNode\0"
  /* 549 */ "Blob\0"
  /* 554 */ "BlobEvent\0"
  /* 564 */ "BoxObject\0"
  /* 574 */ "BroadcastChannel\0"
  /* 591 */ "BrowserElementAudioChannel\0"
  /* 618 */ "BrowserElementProxy\0"
  /* 638 */ "BrowserFeedWriter\0"
  /* 656 */ "CDATASection\0"
  /* 669 */ "CFStateChangeEvent\0"
  /* 688 */ "CSS\0"
  /* 692 */ "CSS2Properties\0"
  /* 707 */ "CSSAnimation\0"
  /* 720 */ "CSSLexer\0"
  /* 729 */ "CSSPrimitiveValue\0"
  /* 747 */ "CSSPseudoElement\0"
  /* 764 */ "CSSRuleList\0"
  /* 776 */ "CSSStyleDeclaration\0"
  /* 796 */ "CSSStyleSheet\0"
  /* 810 */ "CSSTransition\0"
  /* 824 */ "CSSValue\0"
  /* 833 */ "CSSValueList\0"
  /* 846 */ "Cache\0"
  /* 852 */ "CacheStorage\0"
  /* 865 */ "CallEvent\0"
  /* 875 */ "CallGroupErrorEvent\0"
  /* 895 */ "CameraCapabilities\0"
  /* 914 */ "CameraClosedEvent\0"
  /* 932 */ "CameraConfigurationEvent\0"
  /* 957 */ "CameraControl\0"
  /* 971 */ "CameraDetectedFace\0"
  /* 990 */ "CameraFacesDetectedEvent\0"
  /* 1015 */ "CameraManager\0"
  /* 1029 */ "CameraRecorderAudioProfile\0"
  /* 1056 */ "CameraRecorderProfile\0"
  /* 1078 */ "CameraRecorderProfiles\0"
  /* 1101 */ "CameraRecorderVideoProfile\0"
  /* 1128 */ "CameraStateChangeEvent\0"
  /* 1151 */ "CanvasCaptureMediaStream\0"
  /* 1176 */ "CanvasGradient\0"
  /* 1191 */ "CanvasPattern\0"
  /* 1205 */ "CanvasRenderingContext2D\0"
  /* 1230 */ "CaretPosition\0"
  /* 1244 */ "CaretStateChangedEvent\0"
  /* 1267 */ "ChannelMergerNode\0"
  /* 1285 */ "ChannelSplitterNode\0"
  /* 1305 */ "CharacterData\0"
  /* 1319 */ "CheckerboardReportService\0"
  /* 1345 */ "ChromeNodeList\0"
  /* 1360 */ "ChromeNotifications\0"
  /* 1380 */ "ChromeUtils\0"
  /* 1392 */ "ChromeWindow\0"
  /* 1405 */ "ChromeWorker\0"
  /* 1418 */ "ClipboardEvent\0"
  /* 1433 */ "CloseEvent\0"
  /* 1444 */ "CommandEvent\0"
  /* 1457 */ "Comment\0"
  /* 1465 */ "CompositionEvent\0"
  /* 1482 */ "ConvolverNode\0"
  /* 1496 */ "CreateOfferRequest\0"
  /* 1515 */ "Crypto\0"
  /* 1522 */ "CryptoKey\0"
  /* 1532 */ "CustomElementsRegistry\0"
  /* 1555 */ "CustomEvent\0"
  /* 1567 */ "DOMCursor\0"
  /* 1577 */ "DOMDownload\0"
  /* 1589 */ "DOMError\0"
  /* 1598 */ "DOMException\0"
  /* 1611 */ "DOMImplementation\0"
  /* 1629 */ "DOMMatrix\0"
  /* 1639 */ "DOMMatrixReadOnly\0"
  /* 1657 */ "DOMMobileMessageError\0"
  /* 1679 */ "DOMParser\0"
  /* 1689 */ "DOMPoint\0"
  /* 1698 */ "DOMPointReadOnly\0"
  /* 1715 */ "DOMQuad\0"
  /* 1723 */ "DOMRect\0"
  /* 1731 */ "DOMRectList\0"
  /* 1743 */ "DOMRectReadOnly\0"
  /* 1759 */ "DOMRequest\0"
  /* 1770 */ "DOMStringList\0"
  /* 1784 */ "DOMStringMap\0"
  /* 1797 */ "DOMTokenList\0"
  /* 1810 */ "DOMTransactionEvent\0"
  /* 1830 */ "DataChannel\0"
  /* 1842 */ "DataContainerEvent\0"
  /* 1861 */ "DataErrorEvent\0"
  /* 1876 */ "DataTransfer\0"
  /* 1889 */ "DataTransferItem\0"
  /* 1906 */ "DataTransferItemList\0"
  /* 1927 */ "DelayNode\0"
  /* 1937 */ "DesktopNotification\0"
  /* 1957 */ "DesktopNotificationCenter\0"
  /* 1983 */ "DeviceLightEvent\0"
  /* 2000 */ "DeviceMotionEvent\0"
  /* 2018 */ "DeviceOrientationEvent\0"
  /* 2041 */ "DeviceProximityEvent\0"
  /* 2062 */ "DeviceStorage\0"
  /* 2076 */ "DeviceStorageAreaChangedEvent\0"
  /* 2106 */ "DeviceStorageAreaListener\0"
  /* 2132 */ "DeviceStorageChangeEvent\0"
  /* 2157 */ "Directory\0"
  /* 2167 */ "DisplayPortInputPort\0"
  /* 2188 */ "Document\0"
  /* 2197 */ "DocumentFragment\0"
  /* 2214 */ "DocumentTimeline\0"
  /* 2231 */ "DocumentType\0"
  /* 2244 */ "DominatorTree\0"
  /* 2258 */ "DownloadEvent\0"
  /* 2272 */ "DragEvent\0"
  /* 2282 */ "DynamicsCompressorNode\0"
  /* 2305 */ "Element\0"
  /* 2313 */ "ErrorEvent\0"
  /* 2324 */ "Event\0"
  /* 2330 */ "EventSource\0"
  /* 2342 */ "EventTarget\0"
  /* 2354 */ "File\0"
  /* 2359 */ "FileList\0"
  /* 2368 */ "FileReader\0"
  /* 2379 */ "FileSystem\0"
  /* 2390 */ "FileSystemDirectoryEntry\0"
  /* 2415 */ "FileSystemDirectoryReader\0"
  /* 2441 */ "FileSystemEntry\0"
  /* 2457 */ "FileSystemFileEntry\0"
  /* 2477 */ "FlyWebDiscoveryManager\0"
  /* 2500 */ "FlyWebFetchEvent\0"
  /* 2517 */ "FlyWebPublishedServer\0"
  /* 2539 */ "FlyWebWebSocketEvent\0"
  /* 2560 */ "FocusEvent\0"
  /* 2571 */ "FontFace\0"
  /* 2580 */ "FontFaceSet\0"
  /* 2592 */ "FontFaceSetLoadEvent\0"
  /* 2613 */ "FormData\0"
  /* 2622 */ "GainNode\0"
  /* 2631 */ "Gamepad\0"
  /* 2639 */ "GamepadAxisMoveEvent\0"
  /* 2660 */ "GamepadButton\0"
  /* 2674 */ "GamepadButtonEvent\0"
  /* 2693 */ "GamepadEvent\0"
  /* 2706 */ "GamepadServiceTest\0"
  /* 2725 */ "Grid\0"
  /* 2730 */ "GridArea\0"
  /* 2739 */ "GridDimension\0"
  /* 2753 */ "GridLine\0"
  /* 2762 */ "GridLines\0"
  /* 2772 */ "GridTrack\0"
  /* 2782 */ "GridTracks\0"
  /* 2793 */ "HDMIInputPort\0"
  /* 2807 */ "HTMLAllCollection\0"
  /* 2825 */ "HTMLAnchorElement\0"
  /* 2843 */ "HTMLAppletElement\0"
  /* 2861 */ "HTMLAreaElement\0"
  /* 2877 */ "HTMLAudioElement\0"
  /* 2894 */ "Audio\0"
  /* 2900 */ "HTMLBRElement\0"
  /* 2914 */ "HTMLBaseElement\0"
  /* 2930 */ "HTMLBodyElement\0"
  /* 2946 */ "HTMLButtonElement\0"
  /* 2964 */ "HTMLCanvasElement\0"
  /* 2982 */ "HTMLCollection\0"
  /* 2997 */ "HTMLContentElement\0"
  /* 3016 */ "HTMLDListElement\0"
  /* 3033 */ "HTMLDataElement\0"
  /* 3049 */ "HTMLDataListElement\0"
  /* 3069 */ "HTMLDetailsElement\0"
  /* 3088 */ "HTMLDirectoryElement\0"
  /* 3109 */ "HTMLDivElement\0"
  /* 3124 */ "HTMLDocument\0"
  /* 3137 */ "HTMLElement\0"
  /* 3149 */ "HTMLEmbedElement\0"
  /* 3166 */ "HTMLFieldSetElement\0"
  /* 3186 */ "HTMLFontElement\0"
  /* 3202 */ "HTMLFormControlsCollection\0"
  /* 3229 */ "HTMLFormElement\0"
  /* 3245 */ "HTMLFrameElement\0"
  /* 3262 */ "HTMLFrameSetElement\0"
  /* 3282 */ "HTMLHRElement\0"
  /* 3296 */ "HTMLHeadElement\0"
  /* 3312 */ "HTMLHeadingElement\0"
  /* 3331 */ "HTMLHtmlElement\0"
  /* 3347 */ "HTMLIFrameElement\0"
  /* 3365 */ "HTMLImageElement\0"
  /* 3382 */ "Image\0"
  /* 3388 */ "HTMLInputElement\0"
  /* 3405 */ "HTMLLIElement\0"
  /* 3419 */ "HTMLLabelElement\0"
  /* 3436 */ "HTMLLegendElement\0"
  /* 3454 */ "HTMLLinkElement\0"
  /* 3470 */ "HTMLMapElement\0"
  /* 3485 */ "HTMLMediaElement\0"
  /* 3502 */ "HTMLMenuElement\0"
  /* 3518 */ "HTMLMenuItemElement\0"
  /* 3538 */ "HTMLMetaElement\0"
  /* 3554 */ "HTMLMeterElement\0"
  /* 3571 */ "HTMLModElement\0"
  /* 3586 */ "HTMLOListElement\0"
  /* 3603 */ "HTMLObjectElement\0"
  /* 3621 */ "HTMLOptGroupElement\0"
  /* 3641 */ "HTMLOptionElement\0"
  /* 3659 */ "Option\0"
  /* 3666 */ "HTMLOptionsCollection\0"
  /* 3688 */ "HTMLOutputElement\0"
  /* 3706 */ "HTMLParagraphElement\0"
  /* 3727 */ "HTMLParamElement\0"
  /* 3744 */ "HTMLPictureElement\0"
  /* 3763 */ "HTMLPreElement\0"
  /* 3778 */ "HTMLProgressElement\0"
  /* 3798 */ "HTMLQuoteElement\0"
  /* 3815 */ "HTMLScriptElement\0"
  /* 3833 */ "HTMLSelectElement\0"
  /* 3851 */ "HTMLShadowElement\0"
  /* 3869 */ "HTMLSourceElement\0"
  /* 3887 */ "HTMLSpanElement\0"
  /* 3903 */ "HTMLStyleElement\0"
  /* 3920 */ "HTMLTableCaptionElement\0"
  /* 3944 */ "HTMLTableCellElement\0"
  /* 3965 */ "HTMLTableColElement\0"
  /* 3985 */ "HTMLTableElement\0"
  /* 4002 */ "HTMLTableRowElement\0"
  /* 4022 */ "HTMLTableSectionElement\0"
  /* 4046 */ "HTMLTemplateElement\0"
  /* 4066 */ "HTMLTextAreaElement\0"
  /* 4086 */ "HTMLTimeElement\0"
  /* 4102 */ "HTMLTitleElement\0"
  /* 4119 */ "HTMLTrackElement\0"
  /* 4136 */ "HTMLUListElement\0"
  /* 4153 */ "HTMLUnknownElement\0"
  /* 4172 */ "HTMLVideoElement\0"
  /* 4189 */ "HashChangeEvent\0"
  /* 4205 */ "Headers\0"
  /* 4213 */ "HeapSnapshot\0"
  /* 4226 */ "HiddenPluginEvent\0"
  /* 4244 */ "History\0"
  /* 4252 */ "IDBCursor\0"
  /* 4262 */ "IDBCursorWithValue\0"
  /* 4281 */ "IDBDatabase\0"
  /* 4293 */ "IDBFactory\0"
  /* 4304 */ "IDBFileHandle\0"
  /* 4318 */ "IDBFileRequest\0"
  /* 4333 */ "IDBIndex\0"
  /* 4342 */ "IDBKeyRange\0"
  /* 4354 */ "IDBLocaleAwareKeyRange\0"
  /* 4377 */ "IDBMutableFile\0"
  /* 4392 */ "IDBObjectStore\0"
  /* 4407 */ "IDBOpenDBRequest\0"
  /* 4424 */ "IDBRequest\0"
  /* 4435 */ "IDBTransaction\0"
  /* 4450 */ "IDBVersionChangeEvent\0"
  /* 4472 */ "IIRFilterNode\0"
  /* 4486 */ "IccCardLockError\0"
  /* 4503 */ "IccChangeEvent\0"
  /* 4518 */ "ImageBitmap\0"
  /* 4530 */ "ImageBitmapRenderingContext\0"
  /* 4558 */ "ImageCapture\0"
  /* 4571 */ "ImageCaptureErrorEvent\0"
  /* 4594 */ "ImageData\0"
  /* 4604 */ "ImageDocument\0"
  /* 4618 */ "InputEvent\0"
  /* 4629 */ "InputPort\0"
  /* 4639 */ "InputPortManager\0"
  /* 4656 */ "InstallTriggerImpl\0"
  /* 4675 */ "KeyEvent\0"
  /* 4684 */ "KeyboardEvent\0"
  /* 4698 */ "KeyframeEffect\0"
  /* 4713 */ "KeyframeEffectReadOnly\0"
  /* 4736 */ "LocalMediaStream\0"
  /* 4753 */ "Location\0"
  /* 4762 */ "MMICall\0"
  /* 4770 */ "MediaDeviceInfo\0"
  /* 4786 */ "MediaDevices\0"
  /* 4799 */ "MediaElementAudioSourceNode\0"
  /* 4827 */ "MediaEncryptedEvent\0"
  /* 4847 */ "MediaError\0"
  /* 4858 */ "MediaKeyError\0"
  /* 4872 */ "MediaKeyMessageEvent\0"
  /* 4893 */ "MediaKeySession\0"
  /* 4909 */ "MediaKeyStatusMap\0"
  /* 4927 */ "MediaKeySystemAccess\0"
  /* 4948 */ "MediaKeys\0"
  /* 4958 */ "MediaList\0"
  /* 4968 */ "MediaQueryList\0"
  /* 4983 */ "MediaRecorder\0"
  /* 4997 */ "MediaSource\0"
  /* 5009 */ "MediaStream\0"
  /* 5021 */ "MediaStreamAudioDestinationNode\0"
  /* 5053 */ "MediaStreamAudioSourceNode\0"
  /* 5080 */ "MediaStreamEvent\0"
  /* 5097 */ "MediaStreamList\0"
  /* 5113 */ "MediaStreamTrack\0"
  /* 5130 */ "MediaStreamTrackEvent\0"
  /* 5152 */ "MenuBoxObject\0"
  /* 5166 */ "MessageChannel\0"
  /* 5181 */ "MessageEvent\0"
  /* 5194 */ "MessagePort\0"
  /* 5206 */ "MimeType\0"
  /* 5215 */ "MimeTypeArray\0"
  /* 5229 */ "MmsMessage\0"
  /* 5240 */ "MobileMessageThread\0"
  /* 5260 */ "MouseEvent\0"
  /* 5271 */ "MouseScrollEvent\0"
  /* 5288 */ "MozCanvasPrintState\0"
  /* 5308 */ "MozCdmaIccInfo\0"
  /* 5323 */ "MozCellBroadcast\0"
  /* 5340 */ "MozCellBroadcastEtwsInfo\0"
  /* 5365 */ "MozCellBroadcastEvent\0"
  /* 5387 */ "MozCellBroadcastMessage\0"
  /* 5411 */ "MozClirModeEvent\0"
  /* 5428 */ "MozContactChangeEvent\0"
  /* 5450 */ "MozEmergencyCbModeEvent\0"
  /* 5474 */ "MozGsmIccInfo\0"
  /* 5488 */ "MozHardwareInput\0"
  /* 5505 */ "MozIcc\0"
  /* 5512 */ "MozIccInfo\0"
  /* 5523 */ "MozIccManager\0"
  /* 5537 */ "MozInputContext\0"
  /* 5553 */ "MozInputContextFocusEventDetail\0"
  /* 5585 */ "MozInputContextSelectionChangeEventDetail\0"
  /* 5627 */ "MozInputContextSurroundingTextChangeEventDetail\0"
  /* 5675 */ "MozInputMethod\0"
  /* 5690 */ "MozInputMethodManager\0"
  /* 5712 */ "MozInputRegistryEventDetail\0"
  /* 5740 */ "MozMessageDeletedEvent\0"
  /* 5763 */ "MozMmsEvent\0"
  /* 5775 */ "MozMobileCellInfo\0"
  /* 5793 */ "MozMobileConnection\0"
  /* 5813 */ "MozMobileConnectionArray\0"
  /* 5838 */ "MozMobileConnectionInfo\0"
  /* 5862 */ "MozMobileMessageManager\0"
  /* 5886 */ "MozMobileNetworkInfo\0"
  /* 5907 */ "MozOtaStatusEvent\0"
  /* 5925 */ "MozPowerManager\0"
  /* 5941 */ "MozSelfSupport\0"
  /* 5956 */ "MozSettingsEvent\0"
  /* 5973 */ "MozSettingsTransactionEvent\0"
  /* 6001 */ "MozSmsEvent\0"
  /* 6013 */ "MozStkCommandEvent\0"
  /* 6032 */ "MozTetheringManager\0"
  /* 6052 */ "MozTimeManager\0"
  /* 6067 */ "MozVoicemail\0"
  /* 6080 */ "MozVoicemailEvent\0"
  /* 6098 */ "MozVoicemailStatus\0"
  /* 6117 */ "MozWakeLock\0"
  /* 6129 */ "MutationEvent\0"
  /* 6143 */ "MutationObserver\0"
  /* 6160 */ "MutationRecord\0"
  /* 6175 */ "NamedNodeMap\0"
  /* 6188 */ "Navigator\0"
  /* 6198 */ "NetworkInformation\0"
  /* 6217 */ "NetworkStatsData\0"
  /* 6234 */ "Node\0"
  /* 6239 */ "NodeFilter\0"
  /* 6250 */ "NodeIterator\0"
  /* 6263 */ "NodeList\0"
  /* 6272 */ "Notification\0"
  /* 6285 */ "NotifyPaintEvent\0"
  /* 6302 */ "OfflineAudioCompletionEvent\0"
  /* 6330 */ "OfflineAudioContext\0"
  /* 6350 */ "OfflineResourceList\0"
  /* 6370 */ "OffscreenCanvas\0"
  /* 6386 */ "OscillatorNode\0"
  /* 6401 */ "PageTransitionEvent\0"
  /* 6421 */ "PaintRequest\0"
  /* 6434 */ "PaintRequestList\0"
  /* 6451 */ "PannerNode\0"
  /* 6462 */ "Path2D\0"
  /* 6469 */ "PeerConnectionImpl\0"
  /* 6488 */ "PeerConnectionObserver\0"
  /* 6511 */ "Performance\0"
  /* 6523 */ "PerformanceEntry\0"
  /* 6540 */ "PerformanceEntryEvent\0"
  /* 6562 */ "PerformanceMark\0"
  /* 6578 */ "PerformanceMeasure\0"
  /* 6597 */ "PerformanceNavigation\0"
  /* 6619 */ "PerformanceObserver\0"
  /* 6639 */ "PerformanceObserverEntryList\0"
  /* 6668 */ "PerformanceResourceTiming\0"
  /* 6694 */ "PerformanceTiming\0"
  /* 6712 */ "PeriodicWave\0"
  /* 6725 */ "PermissionSettings\0"
  /* 6744 */ "PermissionStatus\0"
  /* 6761 */ "Permissions\0"
  /* 6773 */ "PhoneNumberService\0"
  /* 6792 */ "Plugin\0"
  /* 6799 */ "PluginArray\0"
  /* 6811 */ "PluginCrashedEvent\0"
  /* 6830 */ "PointerEvent\0"
  /* 6843 */ "PopStateEvent\0"
  /* 6857 */ "PopupBlockedEvent\0"
  /* 6875 */ "PopupBoxObject\0"
  /* 6890 */ "PowerStatsData\0"
  /* 6905 */ "Presentation\0"
  /* 6918 */ "PresentationAvailability\0"
  /* 6943 */ "PresentationConnection\0"
  /* 6966 */ "PresentationConnectionAvailableEvent\0"
  /* 7003 */ "PresentationConnectionClosedEvent\0"
  /* 7037 */ "PresentationConnectionList\0"
  /* 7064 */ "PresentationDeviceInfoManager\0"
  /* 7094 */ "PresentationReceiver\0"
  /* 7115 */ "PresentationRequest\0"
  /* 7135 */ "ProcessingInstruction\0"
  /* 7157 */ "ProgressEvent\0"
  /* 7171 */ "PromiseDebugging\0"
  /* 7188 */ "PushManager\0"
  /* 7200 */ "PushManagerImpl\0"
  /* 7216 */ "PushSubscription\0"
  /* 7233 */ "PushSubscriptionOptions\0"
  /* 7257 */ "RGBColor\0"
  /* 7266 */ "RTCCertificate\0"
  /* 7281 */ "RTCDataChannelEvent\0"
  /* 7301 */ "RTCIceCandidate\0"
  /* 7317 */ "RTCPeerConnection\0"
  /* 7335 */ "RTCPeerConnectionIceEvent\0"
  /* 7361 */ "RTCPeerConnectionStatic\0"
  /* 7385 */ "RTCRtpReceiver\0"
  /* 7400 */ "RTCRtpSender\0"
  /* 7413 */ "RTCSessionDescription\0"
  /* 7435 */ "RTCStatsReport\0"
  /* 7450 */ "RTCTrackEvent\0"
  /* 7464 */ "RadioNodeList\0"
  /* 7478 */ "Range\0"
  /* 7484 */ "RecordErrorEvent\0"
  /* 7501 */ "Rect\0"
  /* 7506 */ "Request\0"
  /* 7514 */ "ResourceStats\0"
  /* 7528 */ "ResourceStatsAlarm\0"
  /* 7547 */ "ResourceStatsManager\0"
  /* 7568 */ "Response\0"
  /* 7577 */ "SEChannel\0"
  /* 7587 */ "SEReader\0"
  /* 7596 */ "SEResponse\0"
  /* 7607 */ "SESession\0"
  /* 7617 */ "SVGAElement\0"
  /* 7629 */ "SVGAngle\0"
  /* 7638 */ "SVGAnimateElement\0"
  /* 7656 */ "SVGAnimateMotionElement\0"
  /* 7680 */ "SVGAnimateTransformElement\0"
  /* 7707 */ "SVGAnimatedAngle\0"
  /* 7724 */ "SVGAnimatedBoolean\0"
  /* 7743 */ "SVGAnimatedEnumeration\0"
  /* 7766 */ "SVGAnimatedInteger\0"
  /* 7785 */ "SVGAnimatedLength\0"
  /* 7803 */ "SVGAnimatedLengthList\0"
  /* 7825 */ "SVGAnimatedNumber\0"
  /* 7843 */ "SVGAnimatedNumberList\0"
  /* 7865 */ "SVGAnimatedPreserveAspectRatio\0"
  /* 7896 */ "SVGAnimatedRect\0"
  /* 7912 */ "SVGAnimatedString\0"
  /* 7930 */ "SVGAnimatedTransformList\0"
  /* 7955 */ "SVGAnimationElement\0"
  /* 7975 */ "SVGCircleElement\0"
  /* 7992 */ "SVGClipPathElement\0"
  /* 8011 */ "SVGComponentTransferFunctionElement\0"
  /* 8047 */ "SVGDefsElement\0"
  /* 8062 */ "SVGDescElement\0"
  /* 8077 */ "SVGDocument\0"
  /* 8089 */ "SVGElement\0"
  /* 8100 */ "SVGEllipseElement\0"
  /* 8118 */ "SVGFEBlendElement\0"
  /* 8136 */ "SVGFEColorMatrixElement\0"
  /* 8160 */ "SVGFEComponentTransferElement\0"
  /* 8190 */ "SVGFECompositeElement\0"
  /* 8212 */ "SVGFEConvolveMatrixElement\0"
  /* 8239 */ "SVGFEDiffuseLightingElement\0"
  /* 8267 */ "SVGFEDisplacementMapElement\0"
  /* 8295 */ "SVGFEDistantLightElement\0"
  /* 8320 */ "SVGFEDropShadowElement\0"
  /* 8343 */ "SVGFEFloodElement\0"
  /* 8361 */ "SVGFEFuncAElement\0"
  /* 8379 */ "SVGFEFuncBElement\0"
  /* 8397 */ "SVGFEFuncGElement\0"
  /* 8415 */ "SVGFEFuncRElement\0"
  /* 8433 */ "SVGFEGaussianBlurElement\0"
  /* 8458 */ "SVGFEImageElement\0"
  /* 8476 */ "SVGFEMergeElement\0"
  /* 8494 */ "SVGFEMergeNodeElement\0"
  /* 8516 */ "SVGFEMorphologyElement\0"
  /* 8539 */ "SVGFEOffsetElement\0"
  /* 8558 */ "SVGFEPointLightElement\0"
  /* 8581 */ "SVGFESpecularLightingElement\0"
  /* 8610 */ "SVGFESpotLightElement\0"
  /* 8632 */ "SVGFETileElement\0"
  /* 8649 */ "SVGFETurbulenceElement\0"
  /* 8672 */ "SVGFilterElement\0"
  /* 8689 */ "SVGForeignObjectElement\0"
  /* 8713 */ "SVGGElement\0"
  /* 8725 */ "SVGGradientElement\0"
  /* 8744 */ "SVGGraphicsElement\0"
  /* 8763 */ "SVGImageElement\0"
  /* 8779 */ "SVGLength\0"
  /* 8789 */ "SVGLengthList\0"
  /* 8803 */ "SVGLineElement\0"
  /* 8818 */ "SVGLinearGradientElement\0"
  /* 8843 */ "SVGMPathElement\0"
  /* 8859 */ "SVGMarkerElement\0"
  /* 8876 */ "SVGMaskElement\0"
  /* 8891 */ "SVGMatrix\0"
  /* 8901 */ "SVGMetadataElement\0"
  /* 8920 */ "SVGNumber\0"
  /* 8930 */ "SVGNumberList\0"
  /* 8944 */ "SVGPathElement\0"
  /* 8959 */ "SVGPathSeg\0"
  /* 8970 */ "SVGPathSegArcAbs\0"
  /* 8987 */ "SVGPathSegArcRel\0"
  /* 9004 */ "SVGPathSegClosePath\0"
  /* 9024 */ "SVGPathSegCurvetoCubicAbs\0"
  /* 9050 */ "SVGPathSegCurvetoCubicRel\0"
  /* 9076 */ "SVGPathSegCurvetoCubicSmoothAbs\0"
  /* 9108 */ "SVGPathSegCurvetoCubicSmoothRel\0"
  /* 9140 */ "SVGPathSegCurvetoQuadraticAbs\0"
  /* 9170 */ "SVGPathSegCurvetoQuadraticRel\0"
  /* 9200 */ "SVGPathSegCurvetoQuadraticSmoothAbs\0"
  /* 9236 */ "SVGPathSegCurvetoQuadraticSmoothRel\0"
  /* 9272 */ "SVGPathSegLinetoAbs\0"
  /* 9292 */ "SVGPathSegLinetoHorizontalAbs\0"
  /* 9322 */ "SVGPathSegLinetoHorizontalRel\0"
  /* 9352 */ "SVGPathSegLinetoRel\0"
  /* 9372 */ "SVGPathSegLinetoVerticalAbs\0"
  /* 9400 */ "SVGPathSegLinetoVerticalRel\0"
  /* 9428 */ "SVGPathSegList\0"
  /* 9443 */ "SVGPathSegMovetoAbs\0"
  /* 9463 */ "SVGPathSegMovetoRel\0"
  /* 9483 */ "SVGPatternElement\0"
  /* 9501 */ "SVGPoint\0"
  /* 9510 */ "SVGPointList\0"
  /* 9523 */ "SVGPolygonElement\0"
  /* 9541 */ "SVGPolylineElement\0"
  /* 9560 */ "SVGPreserveAspectRatio\0"
  /* 9583 */ "SVGRadialGradientElement\0"
  /* 9608 */ "SVGRect\0"
  /* 9616 */ "SVGRectElement\0"
  /* 9631 */ "SVGSVGElement\0"
  /* 9645 */ "SVGScriptElement\0"
  /* 9662 */ "SVGSetElement\0"
  /* 9676 */ "SVGStopElement\0"
  /* 9691 */ "SVGStringList\0"
  /* 9705 */ "SVGStyleElement\0"
  /* 9721 */ "SVGSwitchElement\0"
  /* 9738 */ "SVGSymbolElement\0"
  /* 9755 */ "SVGTSpanElement\0"
  /* 9771 */ "SVGTextContentElement\0"
  /* 9793 */ "SVGTextElement\0"
  /* 9808 */ "SVGTextPathElement\0"
  /* 9827 */ "SVGTextPositioningElement\0"
  /* 9853 */ "SVGTitleElement\0"
  /* 9869 */ "SVGTransform\0"
  /* 9882 */ "SVGTransformList\0"
  /* 9899 */ "SVGUnitTypes\0"
  /* 9912 */ "SVGUseElement\0"
  /* 9926 */ "SVGViewElement\0"
  /* 9941 */ "SVGZoomAndPan\0"
  /* 9955 */ "SVGZoomEvent\0"
  /* 9968 */ "Screen\0"
  /* 9975 */ "ScreenOrientation\0"
  /* 9993 */ "ScriptProcessorNode\0"
  /* 10013 */ "ScrollAreaEvent\0"
  /* 10029 */ "ScrollViewChangeEvent\0"
  /* 10051 */ "Selection\0"
  /* 10061 */ "ServiceWorker\0"
  /* 10075 */ "ServiceWorkerContainer\0"
  /* 10098 */ "ServiceWorkerMessageEvent\0"
  /* 10124 */ "ServiceWorkerRegistration\0"
  /* 10150 */ "SettingsLock\0"
  /* 10163 */ "SettingsManager\0"
  /* 10179 */ "ShadowRoot\0"
  /* 10190 */ "SharedWorker\0"
  /* 10203 */ "SimpleGestureEvent\0"
  /* 10222 */ "SmsMessage\0"
  /* 10233 */ "SourceBuffer\0"
  /* 10246 */ "SourceBufferList\0"
  /* 10263 */ "SpeechGrammar\0"
  /* 10277 */ "SpeechGrammarList\0"
  /* 10295 */ "SpeechRecognition\0"
  /* 10313 */ "SpeechRecognitionAlternative\0"
  /* 10342 */ "SpeechRecognitionError\0"
  /* 10365 */ "SpeechRecognitionEvent\0"
  /* 10388 */ "SpeechRecognitionResult\0"
  /* 10412 */ "SpeechRecognitionResultList\0"
  /* 10440 */ "SpeechSynthesis\0"
  /* 10456 */ "SpeechSynthesisErrorEvent\0"
  /* 10482 */ "SpeechSynthesisEvent\0"
  /* 10503 */ "SpeechSynthesisUtterance\0"
  /* 10528 */ "SpeechSynthesisVoice\0"
  /* 10549 */ "StereoPannerNode\0"
  /* 10566 */ "Storage\0"
  /* 10574 */ "StorageEvent\0"
  /* 10587 */ "StorageManager\0"
  /* 10602 */ "StyleRuleChangeEvent\0"
  /* 10623 */ "StyleSheet\0"
  /* 10634 */ "StyleSheetApplicableStateChangeEvent\0"
  /* 10671 */ "StyleSheetChangeEvent\0"
  /* 10693 */ "StyleSheetList\0"
  /* 10708 */ "SubtleCrypto\0"
  /* 10721 */ "SystemUpdateManager\0"
  /* 10741 */ "SystemUpdateProvider\0"
  /* 10762 */ "TCPServerSocket\0"
  /* 10778 */ "TCPServerSocketEvent\0"
  /* 10799 */ "TCPSocket\0"
  /* 10809 */ "TCPSocketErrorEvent\0"
  /* 10829 */ "TCPSocketEvent\0"
  /* 10844 */ "TVChannel\0"
  /* 10854 */ "TVCurrentChannelChangedEvent\0"
  /* 10883 */ "TVCurrentSourceChangedEvent\0"
  /* 10911 */ "TVEITBroadcastedEvent\0"
  /* 10933 */ "TVManager\0"
  /* 10943 */ "TVProgram\0"
  /* 10953 */ "TVScanningStateChangedEvent\0"
  /* 10981 */ "TVSource\0"
  /* 10990 */ "TVTuner\0"
  /* 10998 */ "Telephony\0"
  /* 11008 */ "TelephonyCall\0"
  /* 11022 */ "TelephonyCallGroup\0"
  /* 11041 */ "TelephonyCallId\0"
  /* 11057 */ "Text\0"
  /* 11062 */ "TextClause\0"
  /* 11073 */ "TextDecoder\0"
  /* 11085 */ "TextEncoder\0"
  /* 11097 */ "TextMetrics\0"
  /* 11109 */ "TextTrack\0"
  /* 11119 */ "TextTrackCue\0"
  /* 11132 */ "TextTrackCueList\0"
  /* 11149 */ "TextTrackList\0"
  /* 11163 */ "ThreadSafeChromeUtils\0"
  /* 11185 */ "TimeEvent\0"
  /* 11195 */ "TimeRanges\0"
  /* 11206 */ "Touch\0"
  /* 11212 */ "TouchEvent\0"
  /* 11223 */ "TouchList\0"
  /* 11233 */ "TrackEvent\0"
  /* 11244 */ "TransitionEvent\0"
  /* 11260 */ "TreeColumn\0"
  /* 11271 */ "TreeColumns\0"
  /* 11283 */ "TreeWalker\0"
  /* 11294 */ "U2F\0"
  /* 11298 */ "UDPMessageEvent\0"
  /* 11314 */ "UDPSocket\0"
  /* 11324 */ "UIEvent\0"
  /* 11332 */ "URL\0"
  /* 11336 */ "URLSearchParams\0"
  /* 11352 */ "USSDReceivedEvent\0"
  /* 11370 */ "USSDSession\0"
  /* 11382 */ "UndoManager\0"
  /* 11394 */ "UserProximityEvent\0"
  /* 11413 */ "VRDisplay\0"
  /* 11423 */ "VRDisplayCapabilities\0"
  /* 11445 */ "VREyeParameters\0"
  /* 11461 */ "VRFieldOfView\0"
  /* 11475 */ "VRPose\0"
  /* 11482 */ "VRStageParameters\0"
  /* 11500 */ "VTTCue\0"
  /* 11507 */ "VTTRegion\0"
  /* 11517 */ "ValidityState\0"
  /* 11531 */ "VideoPlaybackQuality\0"
  /* 11552 */ "VideoStreamTrack\0"
  /* 11569 */ "VideoTrack\0"
  /* 11580 */ "VideoTrackList\0"
  /* 11595 */ "WaveShaperNode\0"
  /* 11610 */ "WebGL2RenderingContext\0"
  /* 11633 */ "WebGLActiveInfo\0"
  /* 11649 */ "WebGLBuffer\0"
  /* 11661 */ "WebGLContextEvent\0"
  /* 11679 */ "WebGLFramebuffer\0"
  /* 11696 */ "WebGLProgram\0"
  /* 11709 */ "WebGLQuery\0"
  /* 11720 */ "WebGLRenderbuffer\0"
  /* 11738 */ "WebGLRenderingContext\0"
  /* 11760 */ "WebGLSampler\0"
  /* 11773 */ "WebGLShader\0"
  /* 11785 */ "WebGLShaderPrecisionFormat\0"
  /* 11812 */ "WebGLSync\0"
  /* 11822 */ "WebGLTexture\0"
  /* 11835 */ "WebGLTransformFeedback\0"
  /* 11858 */ "WebGLUniformLocation\0"
  /* 11879 */ "WebGLVertexArrayObject\0"
  /* 11902 */ "WebKitCSSMatrix\0"
  /* 11918 */ "WebSocket\0"
  /* 11928 */ "WebrtcGlobalInformation\0"
  /* 11952 */ "WheelEvent\0"
  /* 11963 */ "Window\0"
  /* 11970 */ "WindowRoot\0"
  /* 11981 */ "Worker\0"
  /* 11988 */ "XMLDocument\0"
  /* 12000 */ "XMLHttpRequest\0"
  /* 12015 */ "XMLHttpRequestEventTarget\0"
  /* 12041 */ "XMLHttpRequestUpload\0"
  /* 12062 */ "XMLSerializer\0"
  /* 12076 */ "XMLStylesheetProcessingInstruction\0"
  /* 12111 */ "XPathEvaluator\0"
  /* 12126 */ "XPathExpression\0"
  /* 12142 */ "XPathResult\0"
  /* 12154 */ "XSLTProcessor\0"
  /* 12168 */ "XULCommandEvent\0"
  /* 12184 */ "XULDocument\0"
  /* 12196 */ "XULElement\0"
  /* 12207 */ "console\0"
  /* 12215 */ "mozContact\0"
  /* 12226 */ "mozRTCIceCandidate\0"
  /* 12245 */ "mozRTCPeerConnection\0"
  /* 12266 */ "mozRTCSessionDescription\0";

void
RegisterWebIDLGlobalNames()
{
  WebIDLGlobalNameHash::Register(0, 11, AVInputPortBinding::DefineDOMInterface, AVInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12, 14, AccessibleNodeBinding::DefineDOMInterface, AccessibleNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(27, 5, AddonBinding::DefineDOMInterface, AddonBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(33, 10, AddonEventBinding::DefineDOMInterface, AddonEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(44, 12, AddonInstallBinding::DefineDOMInterface, AddonInstallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(57, 12, AddonManagerBinding::DefineDOMInterface, AddonManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(70, 12, AnalyserNodeBinding::DefineDOMInterface, AnalyserNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(83, 9, AnimationBinding::DefineDOMInterface, AnimationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(93, 23, AnimationEffectReadOnlyBinding::DefineDOMInterface, AnimationEffectReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(117, 21, AnimationEffectTimingBinding::DefineDOMInterface, AnimationEffectTimingBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(139, 29, AnimationEffectTimingReadOnlyBinding::DefineDOMInterface, AnimationEffectTimingReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(169, 14, AnimationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(184, 22, AnimationPlaybackEventBinding::DefineDOMInterface, AnimationPlaybackEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(207, 17, AnimationTimelineBinding::DefineDOMInterface, AnimationTimelineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(225, 16, AnonymousContentBinding::DefineDOMInterface, AnonymousContentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(242, 13, ArchiveReaderBinding::DefineDOMInterface, ArchiveReaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(256, 14, ArchiveRequestBinding::DefineDOMInterface, ArchiveRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(271, 4, AttrBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(276, 11, AudioBufferBinding::DefineDOMInterface, AudioBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(288, 21, AudioBufferSourceNodeBinding::DefineDOMInterface, AudioBufferSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(310, 12, AudioContextBinding::DefineDOMInterface, AudioContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(323, 20, AudioDestinationNodeBinding::DefineDOMInterface, AudioDestinationNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(344, 13, AudioListenerBinding::DefineDOMInterface, AudioListenerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(358, 9, AudioNodeBinding::DefineDOMInterface, AudioNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(368, 10, AudioParamBinding::DefineDOMInterface, AudioParamBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(379, 20, AudioProcessingEventBinding::DefineDOMInterface, AudioProcessingEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(400, 16, AudioStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(417, 10, AudioTrackBinding::DefineDOMInterface, AudioTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(428, 14, AudioTrackListBinding::DefineDOMInterface, AudioTrackListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(443, 22, AutocompleteErrorEventBinding::DefineDOMInterface, AutocompleteErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(466, 7, BarPropBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(474, 14, BatteryManagerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(489, 24, BeforeAfterKeyboardEventBinding::DefineDOMInterface, BeforeAfterKeyboardEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(514, 17, BeforeUnloadEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(532, 16, BiquadFilterNodeBinding::DefineDOMInterface, BiquadFilterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(549, 4, BlobBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(554, 9, BlobEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(564, 9, BoxObjectBinding::DefineDOMInterface, BoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(574, 16, BroadcastChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(591, 26, BrowserElementAudioChannelBinding::DefineDOMInterface, BrowserElementAudioChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(618, 19, BrowserElementProxyBinding::DefineDOMInterface, BrowserElementProxyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(638, 17, BrowserFeedWriterBinding::DefineDOMInterface, BrowserFeedWriterBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(656, 12, CDATASectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(669, 18, CFStateChangeEventBinding::DefineDOMInterface, CFStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(688, 3, CSSBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(692, 14, CSS2PropertiesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(707, 12, CSSAnimationBinding::DefineDOMInterface, CSSAnimationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(720, 8, CSSLexerBinding::DefineDOMInterface, CSSLexerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(729, 17, CSSPrimitiveValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(747, 16, CSSPseudoElementBinding::DefineDOMInterface, CSSPseudoElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(764, 11, CSSRuleListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(776, 19, CSSStyleDeclarationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(796, 13, CSSStyleSheetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(810, 13, CSSTransitionBinding::DefineDOMInterface, CSSTransitionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(824, 8, CSSValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(833, 12, CSSValueListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(846, 5, CacheBinding::DefineDOMInterface, CacheBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(852, 12, CacheStorageBinding::DefineDOMInterface, CacheStorageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(865, 9, CallEventBinding::DefineDOMInterface, CallEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(875, 19, CallGroupErrorEventBinding::DefineDOMInterface, CallGroupErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(895, 18, CameraCapabilitiesBinding::DefineDOMInterface, CameraCapabilitiesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(914, 17, CameraClosedEventBinding::DefineDOMInterface, CameraClosedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(932, 24, CameraConfigurationEventBinding::DefineDOMInterface, CameraConfigurationEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(957, 13, CameraControlBinding::DefineDOMInterface, CameraControlBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(971, 18, CameraDetectedFaceBinding::DefineDOMInterface, CameraDetectedFaceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(990, 24, CameraFacesDetectedEventBinding::DefineDOMInterface, CameraFacesDetectedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1015, 13, CameraManagerBinding::DefineDOMInterface, CameraManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1029, 26, CameraRecorderAudioProfileBinding::DefineDOMInterface, CameraRecorderAudioProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1056, 21, CameraRecorderProfileBinding::DefineDOMInterface, CameraRecorderProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1078, 22, CameraRecorderProfilesBinding::DefineDOMInterface, CameraRecorderProfilesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1101, 26, CameraRecorderVideoProfileBinding::DefineDOMInterface, CameraRecorderVideoProfileBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1128, 22, CameraStateChangeEventBinding::DefineDOMInterface, CameraStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1151, 24, CanvasCaptureMediaStreamBinding::DefineDOMInterface, CanvasCaptureMediaStreamBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1176, 14, CanvasGradientBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1191, 13, CanvasPatternBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1205, 24, CanvasRenderingContext2DBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1230, 13, CaretPositionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1244, 22, CaretStateChangedEventBinding::DefineDOMInterface, CaretStateChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1267, 17, ChannelMergerNodeBinding::DefineDOMInterface, ChannelMergerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1285, 19, ChannelSplitterNodeBinding::DefineDOMInterface, ChannelSplitterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1305, 13, CharacterDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1319, 25, CheckerboardReportServiceBinding::DefineDOMInterface, CheckerboardReportServiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1345, 14, ChromeNodeListBinding::DefineDOMInterface, ChromeNodeListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1360, 19, ChromeNotificationsBinding::DefineDOMInterface, ChromeNotificationsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1380, 11, ChromeUtilsBinding::DefineDOMInterface, ChromeUtilsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1392, 12, ChromeWindowBinding::DefineDOMInterface, ChromeWindowBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1405, 12, ChromeWorkerBinding::DefineDOMInterface, ChromeWorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1418, 14, ClipboardEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1433, 10, CloseEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1444, 12, CommandEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1457, 7, CommentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1465, 16, CompositionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1482, 13, ConvolverNodeBinding::DefineDOMInterface, ConvolverNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1496, 18, CreateOfferRequestBinding::DefineDOMInterface, CreateOfferRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1515, 6, CryptoBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1522, 9, CryptoKeyBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1532, 22, CustomElementsRegistryBinding::DefineDOMInterface, CustomElementsRegistryBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1555, 11, CustomEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1567, 9, DOMCursorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1577, 11, DOMDownloadBinding::DefineDOMInterface, DOMDownloadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1589, 8, DOMErrorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1598, 12, DOMExceptionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1611, 17, DOMImplementationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1629, 9, DOMMatrixBinding::DefineDOMInterface, DOMMatrixBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1639, 17, DOMMatrixReadOnlyBinding::DefineDOMInterface, DOMMatrixReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1657, 21, DOMMobileMessageErrorBinding::DefineDOMInterface, DOMMobileMessageErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1679, 9, DOMParserBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1689, 8, DOMPointBinding::DefineDOMInterface, DOMPointBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1698, 16, DOMPointReadOnlyBinding::DefineDOMInterface, DOMPointReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1715, 7, DOMQuadBinding::DefineDOMInterface, DOMQuadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1723, 7, DOMRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1731, 11, DOMRectListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1743, 15, DOMRectReadOnlyBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1759, 10, DOMRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1770, 13, DOMStringListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1784, 12, DOMStringMapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1797, 12, DOMTokenListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1810, 19, DOMTransactionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1830, 11, DataChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1842, 18, DataContainerEventBinding::DefineDOMInterface, DataContainerEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1861, 14, DataErrorEventBinding::DefineDOMInterface, DataErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1876, 12, DataTransferBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1889, 16, DataTransferItemBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1906, 20, DataTransferItemListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1927, 9, DelayNodeBinding::DefineDOMInterface, DelayNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(1937, 19, DesktopNotificationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1957, 25, DesktopNotificationCenterBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(1983, 16, DeviceLightEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2000, 17, DeviceMotionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2018, 22, DeviceOrientationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2041, 20, DeviceProximityEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2062, 13, DeviceStorageBinding::DefineDOMInterface, DeviceStorageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2076, 29, DeviceStorageAreaChangedEventBinding::DefineDOMInterface, DeviceStorageAreaChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2106, 25, DeviceStorageAreaListenerBinding::DefineDOMInterface, DeviceStorageAreaListenerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2132, 24, DeviceStorageChangeEventBinding::DefineDOMInterface, DeviceStorageChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2157, 9, DirectoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2167, 20, DisplayPortInputPortBinding::DefineDOMInterface, DisplayPortInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2188, 8, DocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2197, 16, DocumentFragmentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2214, 16, DocumentTimelineBinding::DefineDOMInterface, DocumentTimelineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2231, 12, DocumentTypeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2244, 13, DominatorTreeBinding::DefineDOMInterface, DominatorTreeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2258, 13, DownloadEventBinding::DefineDOMInterface, DownloadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2272, 9, DragEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2282, 22, DynamicsCompressorNodeBinding::DefineDOMInterface, DynamicsCompressorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2305, 7, ElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2313, 10, ErrorEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2324, 5, EventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2330, 11, EventSourceBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2342, 11, EventTargetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2354, 4, FileBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2359, 8, FileListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2368, 10, FileReaderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2379, 10, FileSystemBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2390, 24, FileSystemDirectoryEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2415, 25, FileSystemDirectoryReaderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2441, 15, FileSystemEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2457, 19, FileSystemFileEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2477, 22, FlyWebDiscoveryManagerBinding::DefineDOMInterface, FlyWebDiscoveryManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2500, 16, FlyWebFetchEventBinding::DefineDOMInterface, FlyWebFetchEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2517, 21, FlyWebPublishedServerBinding::DefineDOMInterface, FlyWebPublishedServerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2539, 20, FlyWebWebSocketEventBinding::DefineDOMInterface, FlyWebWebSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2560, 10, FocusEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2571, 8, FontFaceBinding::DefineDOMInterface, FontFaceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2580, 11, FontFaceSetBinding::DefineDOMInterface, FontFaceSetBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2592, 20, FontFaceSetLoadEventBinding::DefineDOMInterface, FontFaceSetLoadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2613, 8, FormDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2622, 8, GainNodeBinding::DefineDOMInterface, GainNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2631, 7, GamepadBinding::DefineDOMInterface, GamepadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2639, 20, GamepadAxisMoveEventBinding::DefineDOMInterface, GamepadAxisMoveEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2660, 13, GamepadButtonBinding::DefineDOMInterface, GamepadButtonBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2674, 18, GamepadButtonEventBinding::DefineDOMInterface, GamepadButtonEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2693, 12, GamepadEventBinding::DefineDOMInterface, GamepadEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2706, 18, GamepadServiceTestBinding::DefineDOMInterface, GamepadServiceTestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2725, 4, GridBinding::DefineDOMInterface, GridBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2730, 8, GridAreaBinding::DefineDOMInterface, GridAreaBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2739, 13, GridDimensionBinding::DefineDOMInterface, GridDimensionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2753, 8, GridLineBinding::DefineDOMInterface, GridLineBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2762, 9, GridLinesBinding::DefineDOMInterface, GridLinesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2772, 9, GridTrackBinding::DefineDOMInterface, GridTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2782, 10, GridTracksBinding::DefineDOMInterface, GridTracksBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2793, 13, HDMIInputPortBinding::DefineDOMInterface, HDMIInputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(2807, 17, HTMLAllCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2825, 17, HTMLAnchorElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2843, 17, HTMLAppletElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2861, 15, HTMLAreaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2877, 16, HTMLAudioElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2894, 5, HTMLAudioElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2900, 13, HTMLBRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2914, 15, HTMLBaseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2930, 15, HTMLBodyElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2946, 17, HTMLButtonElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2964, 17, HTMLCanvasElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2982, 14, HTMLCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(2997, 18, HTMLContentElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3016, 16, HTMLDListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3033, 15, HTMLDataElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3049, 19, HTMLDataListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3069, 18, HTMLDetailsElementBinding::DefineDOMInterface, HTMLDetailsElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(3088, 20, HTMLDirectoryElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3109, 14, HTMLDivElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3124, 12, HTMLDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3137, 11, HTMLElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3149, 16, HTMLEmbedElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3166, 19, HTMLFieldSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3186, 15, HTMLFontElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3202, 26, HTMLFormControlsCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3229, 15, HTMLFormElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3245, 16, HTMLFrameElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3262, 19, HTMLFrameSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3282, 13, HTMLHRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3296, 15, HTMLHeadElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3312, 18, HTMLHeadingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3331, 15, HTMLHtmlElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3347, 17, HTMLIFrameElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3365, 16, HTMLImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3382, 5, HTMLImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3388, 16, HTMLInputElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3405, 13, HTMLLIElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3419, 16, HTMLLabelElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3436, 17, HTMLLegendElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3454, 15, HTMLLinkElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3470, 14, HTMLMapElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3485, 16, HTMLMediaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3502, 15, HTMLMenuElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3518, 19, HTMLMenuItemElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3538, 15, HTMLMetaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3554, 16, HTMLMeterElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3571, 14, HTMLModElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3586, 16, HTMLOListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3603, 17, HTMLObjectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3621, 19, HTMLOptGroupElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3641, 17, HTMLOptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3659, 6, HTMLOptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3666, 21, HTMLOptionsCollectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3688, 17, HTMLOutputElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3706, 20, HTMLParagraphElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3727, 16, HTMLParamElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3744, 18, HTMLPictureElementBinding::DefineDOMInterface, HTMLPictureElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(3763, 14, HTMLPreElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3778, 19, HTMLProgressElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3798, 16, HTMLQuoteElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3815, 17, HTMLScriptElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3833, 17, HTMLSelectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3851, 17, HTMLShadowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3869, 17, HTMLSourceElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3887, 15, HTMLSpanElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3903, 16, HTMLStyleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3920, 23, HTMLTableCaptionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3944, 20, HTMLTableCellElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3965, 19, HTMLTableColElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(3985, 16, HTMLTableElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4002, 19, HTMLTableRowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4022, 23, HTMLTableSectionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4046, 19, HTMLTemplateElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4066, 19, HTMLTextAreaElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4086, 15, HTMLTimeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4102, 16, HTMLTitleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4119, 16, HTMLTrackElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4136, 16, HTMLUListElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4153, 18, HTMLUnknownElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4172, 16, HTMLVideoElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4189, 15, HashChangeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4205, 7, HeadersBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4213, 12, HeapSnapshotBinding::DefineDOMInterface, HeapSnapshotBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4226, 17, HiddenPluginEventBinding::DefineDOMInterface, HiddenPluginEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4244, 7, HistoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4252, 9, IDBCursorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4262, 18, IDBCursorWithValueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4281, 11, IDBDatabaseBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4293, 10, IDBFactoryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4304, 13, IDBFileHandleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4318, 14, IDBFileRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4333, 8, IDBIndexBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4342, 11, IDBKeyRangeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4354, 22, IDBLocaleAwareKeyRangeBinding::DefineDOMInterface, IDBLocaleAwareKeyRangeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4377, 14, IDBMutableFileBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4392, 14, IDBObjectStoreBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4407, 16, IDBOpenDBRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4424, 10, IDBRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4435, 14, IDBTransactionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4450, 21, IDBVersionChangeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4472, 13, IIRFilterNodeBinding::DefineDOMInterface, IIRFilterNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4486, 16, IccCardLockErrorBinding::DefineDOMInterface, IccCardLockErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4503, 14, IccChangeEventBinding::DefineDOMInterface, IccChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4518, 11, ImageBitmapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4530, 27, ImageBitmapRenderingContextBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4558, 12, ImageCaptureBinding::DefineDOMInterface, ImageCaptureBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4571, 22, ImageCaptureErrorEventBinding::DefineDOMInterface, ImageCaptureErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4594, 9, ImageDataBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4604, 13, ImageDocumentBinding::DefineDOMInterface, ImageDocumentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4618, 10, InputEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4629, 9, InputPortBinding::DefineDOMInterface, InputPortBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4639, 16, InputPortManagerBinding::DefineDOMInterface, InputPortManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4656, 18, InstallTriggerImplBinding::DefineDOMInterface, InstallTriggerImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4675, 8, KeyEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4684, 13, KeyboardEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4698, 14, KeyframeEffectBinding::DefineDOMInterface, KeyframeEffectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4713, 22, KeyframeEffectReadOnlyBinding::DefineDOMInterface, KeyframeEffectReadOnlyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4736, 16, LocalMediaStreamBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4753, 8, LocationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4762, 7, MMICallBinding::DefineDOMInterface, MMICallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4770, 15, MediaDeviceInfoBinding::DefineDOMInterface, MediaDeviceInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4786, 12, MediaDevicesBinding::DefineDOMInterface, MediaDevicesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4799, 27, MediaElementAudioSourceNodeBinding::DefineDOMInterface, MediaElementAudioSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4827, 19, MediaEncryptedEventBinding::DefineDOMInterface, MediaEncryptedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4847, 10, MediaErrorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4858, 13, MediaKeyErrorBinding::DefineDOMInterface, MediaKeyErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4872, 20, MediaKeyMessageEventBinding::DefineDOMInterface, MediaKeyMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4893, 15, MediaKeySessionBinding::DefineDOMInterface, MediaKeySessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4909, 17, MediaKeyStatusMapBinding::DefineDOMInterface, MediaKeyStatusMapBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4927, 20, MediaKeySystemAccessBinding::DefineDOMInterface, MediaKeySystemAccessBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4948, 9, MediaKeysBinding::DefineDOMInterface, MediaKeysBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(4958, 9, MediaListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4968, 14, MediaQueryListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4983, 13, MediaRecorderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(4997, 11, MediaSourceBinding::DefineDOMInterface, MediaSourceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5009, 11, MediaStreamBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5021, 31, MediaStreamAudioDestinationNodeBinding::DefineDOMInterface, MediaStreamAudioDestinationNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5053, 26, MediaStreamAudioSourceNodeBinding::DefineDOMInterface, MediaStreamAudioSourceNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5080, 16, MediaStreamEventBinding::DefineDOMInterface, MediaStreamEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5097, 15, MediaStreamListBinding::DefineDOMInterface, MediaStreamListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5113, 16, MediaStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5130, 21, MediaStreamTrackEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5152, 13, MenuBoxObjectBinding::DefineDOMInterface, MenuBoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5166, 14, MessageChannelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5181, 12, MessageEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5194, 11, MessagePortBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5206, 8, MimeTypeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5215, 13, MimeTypeArrayBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5229, 10, MmsMessageBinding::DefineDOMInterface, MmsMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5240, 19, MobileMessageThreadBinding::DefineDOMInterface, MobileMessageThreadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5260, 10, MouseEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5271, 16, MouseScrollEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(5288, 19, MozCanvasPrintStateBinding::DefineDOMInterface, MozCanvasPrintStateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5308, 14, MozCdmaIccInfoBinding::DefineDOMInterface, MozCdmaIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5323, 16, MozCellBroadcastBinding::DefineDOMInterface, MozCellBroadcastBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5340, 24, MozCellBroadcastEtwsInfoBinding::DefineDOMInterface, MozCellBroadcastEtwsInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5365, 21, MozCellBroadcastEventBinding::DefineDOMInterface, MozCellBroadcastEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5387, 23, MozCellBroadcastMessageBinding::DefineDOMInterface, MozCellBroadcastMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5411, 16, MozClirModeEventBinding::DefineDOMInterface, MozClirModeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5428, 21, MozContactChangeEventBinding::DefineDOMInterface, MozContactChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5450, 23, MozEmergencyCbModeEventBinding::DefineDOMInterface, MozEmergencyCbModeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5474, 13, MozGsmIccInfoBinding::DefineDOMInterface, MozGsmIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5488, 16, MozHardwareInputBinding::DefineDOMInterface, MozHardwareInputBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5505, 6, MozIccBinding::DefineDOMInterface, MozIccBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5512, 10, MozIccInfoBinding::DefineDOMInterface, MozIccInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5523, 13, MozIccManagerBinding::DefineDOMInterface, MozIccManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5537, 15, MozInputContextBinding::DefineDOMInterface, MozInputContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5553, 31, MozInputContextFocusEventDetailBinding::DefineDOMInterface, MozInputContextFocusEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5585, 41, MozInputContextSelectionChangeEventDetailBinding::DefineDOMInterface, MozInputContextSelectionChangeEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5627, 47, MozInputContextSurroundingTextChangeEventDetailBinding::DefineDOMInterface, MozInputContextSurroundingTextChangeEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5675, 14, MozInputMethodBinding::DefineDOMInterface, MozInputMethodBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5690, 21, MozInputMethodManagerBinding::DefineDOMInterface, MozInputMethodManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5712, 27, MozInputRegistryEventDetailBinding::DefineDOMInterface, MozInputRegistryEventDetailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5740, 22, MozMessageDeletedEventBinding::DefineDOMInterface, MozMessageDeletedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5763, 11, MozMmsEventBinding::DefineDOMInterface, MozMmsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5775, 17, MozMobileCellInfoBinding::DefineDOMInterface, MozMobileCellInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5793, 19, MozMobileConnectionBinding::DefineDOMInterface, MozMobileConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5813, 24, MozMobileConnectionArrayBinding::DefineDOMInterface, MozMobileConnectionArrayBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5838, 23, MozMobileConnectionInfoBinding::DefineDOMInterface, MozMobileConnectionInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5862, 23, MozMobileMessageManagerBinding::DefineDOMInterface, MozMobileMessageManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5886, 20, MozMobileNetworkInfoBinding::DefineDOMInterface, MozMobileNetworkInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5907, 17, MozOtaStatusEventBinding::DefineDOMInterface, MozOtaStatusEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5925, 15, MozPowerManagerBinding::DefineDOMInterface, MozPowerManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5941, 14, MozSelfSupportBinding::DefineDOMInterface, MozSelfSupportBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5956, 16, MozSettingsEventBinding::DefineDOMInterface, MozSettingsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(5973, 27, MozSettingsTransactionEventBinding::DefineDOMInterface, MozSettingsTransactionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6001, 11, MozSmsEventBinding::DefineDOMInterface, MozSmsEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6013, 18, MozStkCommandEventBinding::DefineDOMInterface, MozStkCommandEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6032, 19, MozTetheringManagerBinding::DefineDOMInterface, MozTetheringManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6052, 14, MozTimeManagerBinding::DefineDOMInterface, MozTimeManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6067, 12, MozVoicemailBinding::DefineDOMInterface, MozVoicemailBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6080, 17, MozVoicemailEventBinding::DefineDOMInterface, MozVoicemailEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6098, 18, MozVoicemailStatusBinding::DefineDOMInterface, MozVoicemailStatusBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6117, 11, MozWakeLockBinding::DefineDOMInterface, MozWakeLockBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6129, 13, MutationEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6143, 16, MutationObserverBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6160, 14, MutationRecordBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6175, 12, NamedNodeMapBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6188, 9, NavigatorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6198, 18, NetworkInformationBinding::DefineDOMInterface, NetworkInformationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6217, 16, NetworkStatsDataBinding::DefineDOMInterface, NetworkStatsDataBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6234, 4, NodeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6239, 10, NodeFilterBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6250, 12, NodeIteratorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6263, 8, NodeListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6272, 12, NotificationBinding::DefineDOMInterface, NotificationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6285, 16, NotifyPaintEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6302, 27, OfflineAudioCompletionEventBinding::DefineDOMInterface, OfflineAudioCompletionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6330, 19, OfflineAudioContextBinding::DefineDOMInterface, OfflineAudioContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6350, 19, OfflineResourceListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6370, 15, OffscreenCanvasBinding::DefineDOMInterface, OffscreenCanvasBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6386, 14, OscillatorNodeBinding::DefineDOMInterface, OscillatorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6401, 19, PageTransitionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6421, 12, PaintRequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6434, 16, PaintRequestListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6451, 10, PannerNodeBinding::DefineDOMInterface, PannerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6462, 6, Path2DBinding::DefineDOMInterface, Path2DBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6469, 18, PeerConnectionImplBinding::DefineDOMInterface, PeerConnectionImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6488, 22, PeerConnectionObserverBinding::DefineDOMInterface, PeerConnectionObserverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6511, 11, PerformanceBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6523, 16, PerformanceEntryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6540, 21, PerformanceEntryEventBinding::DefineDOMInterface, PerformanceEntryEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6562, 15, PerformanceMarkBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6578, 18, PerformanceMeasureBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6597, 21, PerformanceNavigationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6619, 19, PerformanceObserverBinding::DefineDOMInterface, PerformanceObserverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6639, 28, PerformanceObserverEntryListBinding::DefineDOMInterface, PerformanceObserverEntryListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6668, 25, PerformanceResourceTimingBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6694, 17, PerformanceTimingBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6712, 12, PeriodicWaveBinding::DefineDOMInterface, PeriodicWaveBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6725, 18, PermissionSettingsBinding::DefineDOMInterface, PermissionSettingsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6744, 16, PermissionStatusBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6761, 11, PermissionsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6773, 18, PhoneNumberServiceBinding::DefineDOMInterface, PhoneNumberServiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6792, 6, PluginBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6799, 11, PluginArrayBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6811, 18, PluginCrashedEventBinding::DefineDOMInterface, PluginCrashedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6830, 12, PointerEventBinding::DefineDOMInterface, PointerEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6843, 13, PopStateEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6857, 17, PopupBlockedEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(6875, 14, PopupBoxObjectBinding::DefineDOMInterface, PopupBoxObjectBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6890, 14, PowerStatsDataBinding::DefineDOMInterface, PowerStatsDataBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6905, 12, PresentationBinding::DefineDOMInterface, PresentationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6918, 24, PresentationAvailabilityBinding::DefineDOMInterface, PresentationAvailabilityBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6943, 22, PresentationConnectionBinding::DefineDOMInterface, PresentationConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(6966, 36, PresentationConnectionAvailableEventBinding::DefineDOMInterface, PresentationConnectionAvailableEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7003, 33, PresentationConnectionClosedEventBinding::DefineDOMInterface, PresentationConnectionClosedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7037, 26, PresentationConnectionListBinding::DefineDOMInterface, PresentationConnectionListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7064, 29, PresentationDeviceInfoManagerBinding::DefineDOMInterface, PresentationDeviceInfoManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7094, 20, PresentationReceiverBinding::DefineDOMInterface, PresentationReceiverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7115, 19, PresentationRequestBinding::DefineDOMInterface, PresentationRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7135, 21, ProcessingInstructionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7157, 13, ProgressEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7171, 16, PromiseDebuggingBinding::DefineDOMInterface, PromiseDebuggingBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7188, 11, PushManagerBinding::DefineDOMInterface, PushManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7200, 15, PushManagerImplBinding::DefineDOMInterface, PushManagerImplBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7216, 16, PushSubscriptionBinding::DefineDOMInterface, PushSubscriptionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7233, 23, PushSubscriptionOptionsBinding::DefineDOMInterface, PushSubscriptionOptionsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7257, 8, RGBColorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7266, 14, RTCCertificateBinding::DefineDOMInterface, RTCCertificateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7281, 19, RTCDataChannelEventBinding::DefineDOMInterface, RTCDataChannelEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7301, 15, RTCIceCandidateBinding::DefineDOMInterface, RTCIceCandidateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7317, 17, RTCPeerConnectionBinding::DefineDOMInterface, RTCPeerConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7335, 25, RTCPeerConnectionIceEventBinding::DefineDOMInterface, RTCPeerConnectionIceEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7361, 23, RTCPeerConnectionStaticBinding::DefineDOMInterface, RTCPeerConnectionStaticBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7385, 14, RTCRtpReceiverBinding::DefineDOMInterface, RTCRtpReceiverBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7400, 12, RTCRtpSenderBinding::DefineDOMInterface, RTCRtpSenderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7413, 21, RTCSessionDescriptionBinding::DefineDOMInterface, RTCSessionDescriptionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7435, 14, RTCStatsReportBinding::DefineDOMInterface, RTCStatsReportBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7450, 13, RTCTrackEventBinding::DefineDOMInterface, RTCTrackEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7464, 13, RadioNodeListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7478, 5, RangeBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7484, 16, RecordErrorEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7501, 4, RectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7506, 7, RequestBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7514, 13, ResourceStatsBinding::DefineDOMInterface, ResourceStatsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7528, 18, ResourceStatsAlarmBinding::DefineDOMInterface, ResourceStatsAlarmBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7547, 20, ResourceStatsManagerBinding::DefineDOMInterface, ResourceStatsManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7568, 8, ResponseBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7577, 9, SEChannelBinding::DefineDOMInterface, SEChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7587, 8, SEReaderBinding::DefineDOMInterface, SEReaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7596, 10, SEResponseBinding::DefineDOMInterface, SEResponseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7607, 9, SESessionBinding::DefineDOMInterface, SESessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(7617, 11, SVGAElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7629, 8, SVGAngleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7638, 17, SVGAnimateElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7656, 23, SVGAnimateMotionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7680, 26, SVGAnimateTransformElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7707, 16, SVGAnimatedAngleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7724, 18, SVGAnimatedBooleanBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7743, 22, SVGAnimatedEnumerationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7766, 18, SVGAnimatedIntegerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7785, 17, SVGAnimatedLengthBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7803, 21, SVGAnimatedLengthListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7825, 17, SVGAnimatedNumberBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7843, 21, SVGAnimatedNumberListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7865, 30, SVGAnimatedPreserveAspectRatioBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7896, 15, SVGAnimatedRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7912, 17, SVGAnimatedStringBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7930, 24, SVGAnimatedTransformListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7955, 19, SVGAnimationElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7975, 16, SVGCircleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(7992, 18, SVGClipPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8011, 35, SVGComponentTransferFunctionElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8047, 14, SVGDefsElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8062, 14, SVGDescElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8077, 11, SVGDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8089, 10, SVGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8100, 17, SVGEllipseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8118, 17, SVGFEBlendElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8136, 23, SVGFEColorMatrixElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8160, 29, SVGFEComponentTransferElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8190, 21, SVGFECompositeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8212, 26, SVGFEConvolveMatrixElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8239, 27, SVGFEDiffuseLightingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8267, 27, SVGFEDisplacementMapElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8295, 24, SVGFEDistantLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8320, 22, SVGFEDropShadowElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8343, 17, SVGFEFloodElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8361, 17, SVGFEFuncAElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8379, 17, SVGFEFuncBElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8397, 17, SVGFEFuncGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8415, 17, SVGFEFuncRElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8433, 24, SVGFEGaussianBlurElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8458, 17, SVGFEImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8476, 17, SVGFEMergeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8494, 21, SVGFEMergeNodeElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8516, 22, SVGFEMorphologyElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8539, 18, SVGFEOffsetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8558, 22, SVGFEPointLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8581, 28, SVGFESpecularLightingElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8610, 21, SVGFESpotLightElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8632, 16, SVGFETileElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8649, 22, SVGFETurbulenceElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8672, 16, SVGFilterElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8689, 23, SVGForeignObjectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8713, 11, SVGGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8725, 18, SVGGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8744, 18, SVGGraphicsElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8763, 15, SVGImageElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8779, 9, SVGLengthBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8789, 13, SVGLengthListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8803, 14, SVGLineElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8818, 24, SVGLinearGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8843, 15, SVGMPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8859, 16, SVGMarkerElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8876, 14, SVGMaskElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8891, 9, SVGMatrixBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8901, 18, SVGMetadataElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8920, 9, SVGNumberBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8930, 13, SVGNumberListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8944, 14, SVGPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8959, 10, SVGPathSegBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8970, 16, SVGPathSegArcAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(8987, 16, SVGPathSegArcRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9004, 19, SVGPathSegClosePathBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9024, 25, SVGPathSegCurvetoCubicAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9050, 25, SVGPathSegCurvetoCubicRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9076, 31, SVGPathSegCurvetoCubicSmoothAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9108, 31, SVGPathSegCurvetoCubicSmoothRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9140, 29, SVGPathSegCurvetoQuadraticAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9170, 29, SVGPathSegCurvetoQuadraticRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9200, 35, SVGPathSegCurvetoQuadraticSmoothAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9236, 35, SVGPathSegCurvetoQuadraticSmoothRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9272, 19, SVGPathSegLinetoAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9292, 29, SVGPathSegLinetoHorizontalAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9322, 29, SVGPathSegLinetoHorizontalRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9352, 19, SVGPathSegLinetoRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9372, 27, SVGPathSegLinetoVerticalAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9400, 27, SVGPathSegLinetoVerticalRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9428, 14, SVGPathSegListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9443, 19, SVGPathSegMovetoAbsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9463, 19, SVGPathSegMovetoRelBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9483, 17, SVGPatternElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9501, 8, SVGPointBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9510, 12, SVGPointListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9523, 17, SVGPolygonElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9541, 18, SVGPolylineElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9560, 22, SVGPreserveAspectRatioBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9583, 24, SVGRadialGradientElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9608, 7, SVGRectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9616, 14, SVGRectElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9631, 13, SVGSVGElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9645, 16, SVGScriptElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9662, 13, SVGSetElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9676, 14, SVGStopElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9691, 13, SVGStringListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9705, 15, SVGStyleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9721, 16, SVGSwitchElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9738, 16, SVGSymbolElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9755, 15, SVGTSpanElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9771, 21, SVGTextContentElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9793, 14, SVGTextElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9808, 18, SVGTextPathElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9827, 25, SVGTextPositioningElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9853, 15, SVGTitleElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9869, 12, SVGTransformBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9882, 16, SVGTransformListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9899, 12, SVGUnitTypesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9912, 13, SVGUseElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9926, 14, SVGViewElementBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9941, 13, SVGZoomAndPanBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9955, 12, SVGZoomEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9968, 6, ScreenBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9975, 17, ScreenOrientationBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(9993, 19, ScriptProcessorNodeBinding::DefineDOMInterface, ScriptProcessorNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10013, 15, ScrollAreaEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10029, 21, ScrollViewChangeEventBinding::DefineDOMInterface, ScrollViewChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10051, 9, SelectionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10061, 13, ServiceWorkerBinding::DefineDOMInterface, ServiceWorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10075, 22, ServiceWorkerContainerBinding::DefineDOMInterface, ServiceWorkerContainerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10098, 25, ServiceWorkerMessageEventBinding::DefineDOMInterface, ServiceWorkerMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10124, 25, ServiceWorkerRegistrationBinding::DefineDOMInterface, ServiceWorkerRegistrationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10150, 12, SettingsLockBinding::DefineDOMInterface, SettingsLockBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10163, 15, SettingsManagerBinding::DefineDOMInterface, SettingsManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10179, 10, ShadowRootBinding::DefineDOMInterface, ShadowRootBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10190, 12, SharedWorkerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10203, 18, SimpleGestureEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10222, 10, SmsMessageBinding::DefineDOMInterface, SmsMessageBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10233, 12, SourceBufferBinding::DefineDOMInterface, SourceBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10246, 16, SourceBufferListBinding::DefineDOMInterface, SourceBufferListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10263, 13, SpeechGrammarBinding::DefineDOMInterface, SpeechGrammarBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10277, 17, SpeechGrammarListBinding::DefineDOMInterface, SpeechGrammarListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10295, 17, SpeechRecognitionBinding::DefineDOMInterface, SpeechRecognitionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10313, 28, SpeechRecognitionAlternativeBinding::DefineDOMInterface, SpeechRecognitionAlternativeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10342, 22, SpeechRecognitionErrorBinding::DefineDOMInterface, SpeechRecognitionErrorBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10365, 22, SpeechRecognitionEventBinding::DefineDOMInterface, SpeechRecognitionEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10388, 23, SpeechRecognitionResultBinding::DefineDOMInterface, SpeechRecognitionResultBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10412, 27, SpeechRecognitionResultListBinding::DefineDOMInterface, SpeechRecognitionResultListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10440, 15, SpeechSynthesisBinding::DefineDOMInterface, SpeechSynthesisBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10456, 25, SpeechSynthesisErrorEventBinding::DefineDOMInterface, SpeechSynthesisErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10482, 20, SpeechSynthesisEventBinding::DefineDOMInterface, SpeechSynthesisEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10503, 24, SpeechSynthesisUtteranceBinding::DefineDOMInterface, SpeechSynthesisUtteranceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10528, 20, SpeechSynthesisVoiceBinding::DefineDOMInterface, SpeechSynthesisVoiceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10549, 16, StereoPannerNodeBinding::DefineDOMInterface, StereoPannerNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10566, 7, StorageBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10574, 12, StorageEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10587, 14, StorageManagerBinding::DefineDOMInterface, StorageManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10602, 20, StyleRuleChangeEventBinding::DefineDOMInterface, StyleRuleChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10623, 10, StyleSheetBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10634, 36, StyleSheetApplicableStateChangeEventBinding::DefineDOMInterface, StyleSheetApplicableStateChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10671, 21, StyleSheetChangeEventBinding::DefineDOMInterface, StyleSheetChangeEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10693, 14, StyleSheetListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10708, 12, SubtleCryptoBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(10721, 19, SystemUpdateManagerBinding::DefineDOMInterface, SystemUpdateManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10741, 20, SystemUpdateProviderBinding::DefineDOMInterface, SystemUpdateProviderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10762, 15, TCPServerSocketBinding::DefineDOMInterface, TCPServerSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10778, 20, TCPServerSocketEventBinding::DefineDOMInterface, TCPServerSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10799, 9, TCPSocketBinding::DefineDOMInterface, TCPSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10809, 19, TCPSocketErrorEventBinding::DefineDOMInterface, TCPSocketErrorEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10829, 14, TCPSocketEventBinding::DefineDOMInterface, TCPSocketEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10844, 9, TVChannelBinding::DefineDOMInterface, TVChannelBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10854, 28, TVCurrentChannelChangedEventBinding::DefineDOMInterface, TVCurrentChannelChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10883, 27, TVCurrentSourceChangedEventBinding::DefineDOMInterface, TVCurrentSourceChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10911, 21, TVEITBroadcastedEventBinding::DefineDOMInterface, TVEITBroadcastedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10933, 9, TVManagerBinding::DefineDOMInterface, TVManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10943, 9, TVProgramBinding::DefineDOMInterface, TVProgramBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10953, 27, TVScanningStateChangedEventBinding::DefineDOMInterface, TVScanningStateChangedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10981, 8, TVSourceBinding::DefineDOMInterface, TVSourceBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10990, 7, TVTunerBinding::DefineDOMInterface, TVTunerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(10998, 9, TelephonyBinding::DefineDOMInterface, TelephonyBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11008, 13, TelephonyCallBinding::DefineDOMInterface, TelephonyCallBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11022, 18, TelephonyCallGroupBinding::DefineDOMInterface, TelephonyCallGroupBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11041, 15, TelephonyCallIdBinding::DefineDOMInterface, TelephonyCallIdBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11057, 4, TextBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11062, 10, TextClauseBinding::DefineDOMInterface, TextClauseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11073, 11, TextDecoderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11085, 11, TextEncoderBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11097, 11, TextMetricsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11109, 9, TextTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11119, 12, TextTrackCueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11132, 16, TextTrackCueListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11149, 13, TextTrackListBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11163, 21, ThreadSafeChromeUtilsBinding::DefineDOMInterface, ThreadSafeChromeUtilsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11185, 9, TimeEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11195, 10, TimeRangesBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11206, 5, TouchBinding::DefineDOMInterface, TouchBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11212, 10, TouchEventBinding::DefineDOMInterface, TouchEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11223, 9, TouchListBinding::DefineDOMInterface, TouchListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11233, 10, TrackEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11244, 15, TransitionEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11260, 10, TreeColumnBinding::DefineDOMInterface, TreeColumnBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11271, 11, TreeColumnsBinding::DefineDOMInterface, TreeColumnsBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11283, 10, TreeWalkerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11294, 3, U2FBinding::DefineDOMInterface, U2FBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11298, 15, UDPMessageEventBinding::DefineDOMInterface, UDPMessageEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11314, 9, UDPSocketBinding::DefineDOMInterface, UDPSocketBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11324, 7, UIEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11332, 3, URLBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11336, 15, URLSearchParamsBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11352, 17, USSDReceivedEventBinding::DefineDOMInterface, USSDReceivedEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11370, 11, USSDSessionBinding::DefineDOMInterface, USSDSessionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11382, 11, UndoManagerBinding::DefineDOMInterface, UndoManagerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11394, 18, UserProximityEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11413, 9, VRDisplayBinding::DefineDOMInterface, VRDisplayBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11423, 21, VRDisplayCapabilitiesBinding::DefineDOMInterface, VRDisplayCapabilitiesBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11445, 15, VREyeParametersBinding::DefineDOMInterface, VREyeParametersBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11461, 13, VRFieldOfViewBinding::DefineDOMInterface, VRFieldOfViewBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11475, 6, VRPoseBinding::DefineDOMInterface, VRPoseBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11482, 17, VRStageParametersBinding::DefineDOMInterface, VRStageParametersBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11500, 6, VTTCueBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11507, 9, VTTRegionBinding::DefineDOMInterface, VTTRegionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11517, 13, ValidityStateBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11531, 20, VideoPlaybackQualityBinding::DefineDOMInterface, VideoPlaybackQualityBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11552, 16, VideoStreamTrackBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11569, 10, VideoTrackBinding::DefineDOMInterface, VideoTrackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11580, 14, VideoTrackListBinding::DefineDOMInterface, VideoTrackListBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11595, 14, WaveShaperNodeBinding::DefineDOMInterface, WaveShaperNodeBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11610, 22, WebGL2RenderingContextBinding::DefineDOMInterface, WebGL2RenderingContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11633, 15, WebGLActiveInfoBinding::DefineDOMInterface, WebGLActiveInfoBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11649, 11, WebGLBufferBinding::DefineDOMInterface, WebGLBufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11661, 17, WebGLContextEventBinding::DefineDOMInterface, WebGLContextEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11679, 16, WebGLFramebufferBinding::DefineDOMInterface, WebGLFramebufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11696, 12, WebGLProgramBinding::DefineDOMInterface, WebGLProgramBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11709, 10, WebGLQueryBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11720, 17, WebGLRenderbufferBinding::DefineDOMInterface, WebGLRenderbufferBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11738, 21, WebGLRenderingContextBinding::DefineDOMInterface, WebGLRenderingContextBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11760, 12, WebGLSamplerBinding::DefineDOMInterface, WebGLSamplerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11773, 11, WebGLShaderBinding::DefineDOMInterface, WebGLShaderBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11785, 26, WebGLShaderPrecisionFormatBinding::DefineDOMInterface, WebGLShaderPrecisionFormatBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11812, 9, WebGLSyncBinding::DefineDOMInterface, WebGLSyncBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11822, 12, WebGLTextureBinding::DefineDOMInterface, WebGLTextureBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11835, 22, WebGLTransformFeedbackBinding::DefineDOMInterface, WebGLTransformFeedbackBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11858, 20, WebGLUniformLocationBinding::DefineDOMInterface, WebGLUniformLocationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11879, 22, WebGLVertexArrayObjectBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11902, 15, WebKitCSSMatrixBinding::DefineDOMInterface, WebKitCSSMatrixBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11918, 9, WebSocketBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11928, 23, WebrtcGlobalInformationBinding::DefineDOMInterface, WebrtcGlobalInformationBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11952, 10, WheelEventBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11963, 6, WindowBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(11970, 10, WindowRootBinding::DefineDOMInterface, WindowRootBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11981, 6, WorkerBinding::DefineDOMInterface, WorkerBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(11988, 11, XMLDocumentBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12000, 14, XMLHttpRequestBinding::DefineDOMInterface, XMLHttpRequestBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12015, 25, XMLHttpRequestEventTargetBinding::DefineDOMInterface, XMLHttpRequestEventTargetBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12041, 20, XMLHttpRequestUploadBinding::DefineDOMInterface, XMLHttpRequestUploadBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12062, 13, XMLSerializerBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12076, 34, XMLStylesheetProcessingInstructionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12111, 14, XPathEvaluatorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12126, 15, XPathExpressionBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12142, 11, XPathResultBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12154, 13, XSLTProcessorBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12168, 15, XULCommandEventBinding::DefineDOMInterface, XULCommandEventBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12184, 11, XULDocumentBinding::DefineDOMInterface, XULDocumentBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12196, 10, XULElementBinding::DefineDOMInterface, XULElementBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12207, 7, consoleBinding::DefineDOMInterface, nullptr);
  WebIDLGlobalNameHash::Register(12215, 10, mozContactBinding::DefineDOMInterface, mozContactBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12226, 18, mozRTCIceCandidateBinding::DefineDOMInterface, mozRTCIceCandidateBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12245, 20, mozRTCPeerConnectionBinding::DefineDOMInterface, mozRTCPeerConnectionBinding::ConstructorEnabled);
  WebIDLGlobalNameHash::Register(12266, 24, mozRTCSessionDescriptionBinding::DefineDOMInterface, mozRTCSessionDescriptionBinding::ConstructorEnabled);
}

} // namespace dom
} // namespace mozilla

